commit fa198255a9d82127c18c1bd512432d389a95f446
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Sep 11 20:19:26 2016 -0500

    Prepare 3.21.92

 NEWS         | 12 ++++++++++++
 configure.ac |  2 +-
 2 files changed, 13 insertions(+), 1 deletion(-)

commit e87172e34653e648e50b4d37666dbe79c9133e47
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Aug 21 16:01:29 2016 -0500

    Update libgd
    
    This stops libgd from modifying itself (overwriting its own .gitignore)
    on the first invocation of make.

 libgd | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 398bec459a20c49cd11a3420943a9293f177f854
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Sep 11 20:04:34 2016 -0500

    Open ftp URIs in external application
    
    Likely we're never going to support FTP, at least not unless a wild
    volunteer appears to implement it.
    
    So:
    
    First, try the default URI handler. It might be Firefox, which is odd
    but will work. Whatever gvfs-open picks on my computer fails with an
    error that the specified location is not mounted, so forcibly fall back
    to Nautilus if the default application did not work.

 embed/ephy-embed-shell.c | 35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)

commit ae944c8ce6a8eff246105706c164cdfad967eb8c
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Sun Sep 11 07:32:54 2016 +0000

    Updated Kazakh translation

 po/kk.po | 86 +++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 45 insertions(+), 41 deletions(-)

commit 239d55ddf64c97e4b9e0a42370b984ff71099ef3
Author: ChangSeok Oh <changseok@gnome.org>
Date:   Sun Sep 11 07:22:15 2016 +0000

    Updated Korean translation

 po/ko.po | 16 ++++++++++------
 1 file changed, 10 insertions(+), 6 deletions(-)

commit 1e881df8720b8a069cfb733460962735cdef484a
Author: Fran Dieguez <fran.dieguez@mabishu.com>
Date:   Sun Sep 11 00:46:05 2016 +0200

    Updated Galician translations

 po/gl.po | 20 ++++++++++++--------
 1 file changed, 12 insertions(+), 8 deletions(-)

commit d30378e3e9010eca709500024e681464a1b268d0
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Sat Sep 10 22:50:43 2016 +0300

    Updated Hebrew translation

 po/he.po | 160 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 82 insertions(+), 78 deletions(-)

commit 9db9589d0ca4537b08acc8a2475ae2a01c28d8ea
Author: Balázs Meskó <meskobalazs@gmail.com>
Date:   Sat Sep 10 19:19:51 2016 +0000

    Updated Hungarian translation

 po/hu.po | 49 +++++++++----------------------------------------
 1 file changed, 9 insertions(+), 40 deletions(-)

commit c296d16f506aaad0a49d7ea32fecdc429bc8d942
Author: ChangSeok Oh <changseok@gnome.org>
Date:   Sat Sep 10 18:51:03 2016 +0000

    Updated Korean translation

 help/ko/ko.po | 248 +++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 142 insertions(+), 106 deletions(-)

commit b32adcd5c59f009429f9e9c35008140b04f011f5
Author: Hannie Dumoleyn <hannie@ubuntu-nl.org>
Date:   Sat Sep 10 17:07:48 2016 +0200

    Updated Dutch translation 3.22

 po/nl.po | 30 ++++++++++--------------------
 1 file changed, 10 insertions(+), 20 deletions(-)

commit 1c4008ca21d3d8c49d920b2138aa5665be1d1c8b
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Sat Sep 10 09:34:49 2016 +0300

    Update Latvian translation

 po/lv.po | 721 ++++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 488 insertions(+), 233 deletions(-)

commit f2038587568f28bd4a380ef4f85936589271756d
Author: Enrico Nicoletto <liverig@gmail.com>
Date:   Sat Sep 10 00:05:38 2016 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 609 ++++++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 412 insertions(+), 197 deletions(-)

commit 2e2c4f03350745fbbe582ed204f68430383bbfef
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Fri Sep 9 22:46:46 2016 +0000

    Updated Friulian translation

 po/fur.po | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit c2dc7077a848d86827abbc53b7f62cb2973f48a6
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Fri Sep 9 21:24:19 2016 +0000

    Updated Slovak translation

 po/sk.po | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit b4cbbea1e7137804c32fec8ce0311f3cfd19f380
Author: Marek Černocký <marek@manet.cz>
Date:   Fri Sep 9 21:13:09 2016 +0200

    Updated Czech translation

 po/cs.po | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit d5fd9e3bba7e9e4bb80c3b200c185c2daa80d0af
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:   Fri Sep 9 18:27:33 2016 +0000

    Updated German translation

 po/de.po | 14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

commit b7bfb84391a0f8f672692a49ce57360539886697
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Fri Sep 9 18:03:06 2016 +0000

    Updated Swedish translation

 po/sv.po | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit c25a034bf91f513a4660211939580dffe4b96d62
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri Sep 9 18:41:03 2016 +0200

    Updated Polish translation

 po/pl.po | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit 36b67ea2d3338cb31828d553bb4b3f07952e7474
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Fri Sep 9 11:33:40 2016 -0500

    Mark "technical information" string for translation

 embed/ephy-web-view.c    | 1 +
 src/resources/error.html | 2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)

commit a842b19b93deda5a9ca1c5dd95e20004f2e3d735
Author: ChangSeok Oh <changseok@gnome.org>
Date:   Fri Sep 9 01:35:08 2016 +0000

    Updated Korean translation

 po/ko.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 019b28167b6e5e73e8a0219bd95951c5946806b6
Author: Fran Dieguez <fran.dieguez@mabishu.com>
Date:   Thu Sep 8 23:22:51 2016 +0200

    Updated Galician translations

 po/gl.po | 1502 ++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 878 insertions(+), 624 deletions(-)

commit b4909b85aea5cfec0e72b24997f8fcf32cd4e7ef
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Sep 8 02:15:30 2016 +0200

    Updated Polish translation

 po/pl.po | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 3db1dbb4cf988fc5a8435cca047c4c88aae4c960
Author: Hannie Dumoleyn <hannie@ubuntu-nl.org>
Date:   Wed Sep 7 19:45:33 2016 +0000

    Updated Dutch translation

 po/nl.po | 1730 ++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 1050 insertions(+), 680 deletions(-)

commit 94ed4a3a4f0b22ff5579aeea8969a8c5eb8cdcac
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Wed Sep 7 15:55:54 2016 +0000

    Updated Swedish translation

 po/sv.po | 1464 +++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 880 insertions(+), 584 deletions(-)

commit ff27eed53154fe7c5058429201d67811a40bee99
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Tue Sep 6 00:38:17 2016 -0500

    web-view: set user-content-manager when creating related view
    
    WebKit does not set the WebKitUserContentManager from the related view
    GObject property. The WebKitUserContentManager only gets set
    automatically when using the webkit_web_context_new_with_related_view
    GObject API.
    
    This means all our script message handlers (and also user CSS) were
    broken in related views (views that share the same web process), e.g.
    when using the Add Account feature to switch between multiple Google
    accounts on Google pages.
    
    This is probably also the cause of user complaints that sometimes
    bypassing the unacceptable TLS certificate error page doesn't work.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=769627

 embed/ephy-web-view.c | 3 +++
 1 file changed, 3 insertions(+)

commit 4c705dabe07ef307506794fe251c89f566aad929
Author: A S Alam <aalam@users.sf.net>
Date:   Mon Sep 5 15:00:09 2016 -0500

    Completed Punjabi Translation

 po/pa.po | 4236 +++++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 2682 insertions(+), 1554 deletions(-)

commit 7791b02b18056b092c88779ddf3b866557e8b169
Author: Muhammet Kara <muhammetk@gmail.com>
Date:   Sun Sep 4 20:30:16 2016 +0000

    Updated Turkish translation

 po/tr.po | 2218 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 1145 insertions(+), 1073 deletions(-)

commit 287f3dfc0fc5c545b9ce2ad77fb5ffa04817716f
Author: Muhammet Kara <muhammetk@gmail.com>
Date:   Sun Sep 4 18:01:12 2016 +0000

    Updated Turkish translation

 po/tr.po | 2352 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 1261 insertions(+), 1091 deletions(-)

commit 4efaf4ac8258ed6d1ef541878d8bbcde50bcfc2d
Author: ChangSeok Oh <changseok@gnome.org>
Date:   Sun Sep 4 05:52:09 2016 +0000

    Updated Korean translation

 po/ko.po | 1476 +++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 885 insertions(+), 591 deletions(-)

commit 11f0a5afd3c74f41d09667752cc42bbcbd17b653
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Sat Sep 3 16:33:41 2016 +0000

    Updated Kazakh translation

 po/kk.po | 545 ++++++++++++++++++++++++++++++++++++++++++++++-----------------
 1 file changed, 396 insertions(+), 149 deletions(-)

commit 3e44f6c7cd062f4bea9345df2866048a788c2909
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:   Sat Sep 3 08:46:49 2016 +0000

    Updated Finnish translation

 po/fi.po | 61 +++++--------------------------------------------------------
 1 file changed, 5 insertions(+), 56 deletions(-)

commit e515fd8839f813fc7c7fac5573344feb4476cf97
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Thu Sep 1 16:29:20 2016 -0500

    web-app-utils: don't crash if address is not a URI
    
    Let's tolerate desktop files passing an absolute path or something
    instead of a URI.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=767101

 lib/ephy-web-app-utils.c | 2 ++
 1 file changed, 2 insertions(+)

commit 19459963fc41ffd38cee460c02a022b815d313e0
Author: David King <amigadave@amigadave.com>
Date:   Tue Aug 30 16:10:18 2016 +0100

    Update British English translation

 po/en_GB.po | 3116 ++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 1906 insertions(+), 1210 deletions(-)

commit 675388e9e4ca9eb51b67fd22b37751d0ee991b7b
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Aug 29 13:42:14 2016 -0500

    web-view: remove outdated assert on error types
    
    Show a proper error page when we receive an unexpected error, instead of
    displaying the error as ASCII text

 embed/ephy-web-view.c | 9 +++------
 1 file changed, 3 insertions(+), 6 deletions(-)

commit 4733848c5fa25614061c3c50edc97b07dc2d8d05
Author: Милош Поповић <gpopac@gmail.com>
Date:   Mon Aug 22 22:58:21 2016 +0000

    Updated Serbian translation

 po/sr.po | 1483 +++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 888 insertions(+), 595 deletions(-)

commit c2b2a687f584301b6f81a07eb96ec5f3f7ae50d0
Author: Flo H <gnu.l10n.de@gmail.com>
Date:   Sun Aug 21 20:08:39 2016 +0000

    Updated German translation

 po/de.po | 432 +++++++++++++++++++++++++++++++++++++++++++++++++--------------
 1 file changed, 336 insertions(+), 96 deletions(-)

commit 287ffde0e9c0dcce712106e6cf4215c1b49b4f50
Author: Balázs Úr <urbalazs@gmail.com>
Date:   Sat Aug 20 12:07:12 2016 +0000

    Updated Hungarian translation

 po/hu.po | 1009 +++++++++++++++++++++++++++++---------------------------------
 1 file changed, 466 insertions(+), 543 deletions(-)

commit f6521eb56e03a315c8ec9ba9414df1ec19844e7a
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Sat Aug 20 09:04:03 2016 +0000

    Updated Friulian translation

 po/fur.po | 160 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 80 insertions(+), 80 deletions(-)

commit e24a993417e848da017d771824959da7385a9222
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:   Fri Aug 19 17:50:43 2016 +0000

    Updated Finnish translation

 po/fi.po | 1517 ++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 925 insertions(+), 592 deletions(-)

commit fdd2d09cc542715946704c261527c080896dcb08
Author: Andika Triwidada <atriwidada@gnome.org>
Date:   Fri Aug 19 14:47:49 2016 +0000

    Updated Indonesian translation

 po/id.po | 902 +++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 595 insertions(+), 307 deletions(-)

commit d8de676223d14bede6d93670391a54969f3bafd2
Author: Marek Černocký <marek@manet.cz>
Date:   Thu Aug 18 23:13:12 2016 +0200

    Updated Czech translation

 po/cs.po | 2139 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 1136 insertions(+), 1003 deletions(-)

commit 0e4772f0e8b407568fb8c4fb31b3660df7e07188
Author: Marek Černocký <marek@manet.cz>
Date:   Thu Aug 18 23:02:02 2016 +0200

    Updated Czech translation

 po/cs.po | 2672 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 1396 insertions(+), 1276 deletions(-)

commit 7554e7b7a6c559796469315beb2a5d29934eae1b
Author: Enrico Nicoletto <liverig@gmail.com>
Date:   Thu Aug 18 10:42:20 2016 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 1888 +++++++++++++++++++++++++++++++----------------------------
 1 file changed, 1003 insertions(+), 885 deletions(-)

commit 5886f7677e28734079ac8fb7a0196b12829e8188
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Wed Aug 17 08:33:41 2016 +0000

    Updated Slovak translation

 po/sk.po | 1470 +++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 885 insertions(+), 585 deletions(-)

commit 73c6ed575f86a69a504291959254b77bec91c834
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Aug 16 20:30:46 2016 +0200

    Updated Polish translation

 po/pl.po | 1173 ++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 721 insertions(+), 452 deletions(-)

commit 6a3a15eb0e76c421e841a4f84805c73d5e1ed267
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Tue Aug 16 17:18:32 2016 +0200

    Remove keyboard shortcut for Duplicate Tab
    
    It conflicts with GtkInspector

 src/ephy-window.c                 | 2 +-
 src/resources/shortcuts-dialog.ui | 7 -------
 2 files changed, 1 insertion(+), 8 deletions(-)

commit d6e95eb86cd887d65362a24de4ae374c4318ca06
Author: Ting-Wei Lan <lantw@src.gnome.org>
Date:   Tue Aug 16 16:56:45 2016 +0800

    location-entry: Fix position of 'Paste & Go' when non-English locale is used
    
    https://bugzilla.gnome.org/show_bug.cgi?id=765374

 lib/widgets/ephy-location-entry.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 862986d0752727215e7ee0e340ebb8ed97131747
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Tue Aug 16 00:07:01 2016 +0200

    Prepare 3.21.90

 NEWS         | 9 +++++++++
 configure.ac | 2 +-
 2 files changed, 10 insertions(+), 1 deletion(-)

commit ecba3ab36aadb5c8a768c1a1544c1c123ebb5a1b
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Tue Aug 16 00:03:30 2016 +0200

    Update appdata

 data/epiphany.appdata.xml.in | 1 +
 1 file changed, 1 insertion(+)

commit 156e43adbc9f9c7d7086d7a971b4e498f60a5a7b
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Aug 7 22:04:19 2016 -0500

    web-view: limit permission request info bars
    
    Else a web page can fill the browser window with unlimited notification
    permission requests. Limit ourselves to one info bar per permission
    request type, same as we already limit ourselves to one password info
    bar.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=764593

 embed/ephy-web-view.c | 50 +++++++++++++++++++++++++++++++++++++++-----------
 1 file changed, 39 insertions(+), 11 deletions(-)

commit 1b3223524894d7add455f59556c15af4c06e6bd8
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Aug 7 21:24:17 2016 -0500

    web-view: properly remove password info bar weak pointer

 embed/ephy-web-view.c | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit b570245e2c9a2b8bbeae8d817a3f88a4d672394b
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Aug 7 12:49:20 2016 -0500

    configure: Stop printing NSS support
    
    It has been removed

 configure.ac | 1 -
 1 file changed, 1 deletion(-)

commit d82b3eca7a408df42b8b1f483a4e8cb060e5d3e3
Author: Tomas Popela <tpopela@redhat.com>
Date:   Wed Jul 27 16:16:00 2016 +0200

    Clear various WebKit DOM objects after using them

 embed/web-extension/ephy-web-dom-utils.c | 33 +++++++++++++++++++++++++-------
 embed/web-extension/ephy-web-extension.c |  1 +
 embed/web-extension/ephy-web-overview.c  | 10 ++++++++--
 3 files changed, 35 insertions(+), 9 deletions(-)

commit 9a119983779b5cded13a1962af11822992fd9835
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Wed Jul 27 09:25:15 2016 -0500

    Require WebKitGTK+ 2.13.2

 configure.ac                            | 2 +-
 embed/web-extension/ephy-web-overview.c | 4 ----
 2 files changed, 1 insertion(+), 5 deletions(-)

commit 19d1a2386dbb6b9c4eb89f02483d67d3d16f7354
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sun Jul 24 16:24:45 2016 +0300

    Updated Lithuanian translation

 po/lt.po | 664 +++++++++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 460 insertions(+), 204 deletions(-)

commit 628b22f15ee03b8f8c693a4c785561be0bd15de2
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Jul 18 16:44:44 2016 +0200

    Updated Spanish translation

 po/es.po | 481 ++++++++++++++++++++++++++++++++++++++++++++++++---------------
 1 file changed, 367 insertions(+), 114 deletions(-)

commit 5d9d7047846b873d752fcd77b692d106a0a8b857
Author: Iulian Radu <iulian.radu67@gmail.com>
Date:   Sun Jul 17 14:02:20 2016 +0300

    Prepare 3.21.4

 NEWS         | 12 ++++++++++++
 configure.ac |  2 +-
 2 files changed, 13 insertions(+), 1 deletion(-)

commit 914c09b78afdb8dddf3260ce1abda947d51e1c70
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Sat Jul 16 02:33:08 2016 +0000

    Updated Chinese (Taiwan) translation

 po/zh_TW.po | 1484 ++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 897 insertions(+), 587 deletions(-)

commit 348ab72ba33e2a70726dc5bf7c5c18e34b0ec625
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Jul 16 00:40:09 2016 +0200

    Add Language headers to po files
    
    Future versions of gettext will fail if this header is missing.

 po/am.po          | 1 +
 po/an.po          | 1 +
 po/az.po          | 1 +
 po/be@latin.po    | 1 +
 po/bn_IN.po       | 1 +
 po/br.po          | 1 +
 po/ca@valencia.po | 2 +-
 po/cy.po          | 1 +
 po/de.po          | 2 +-
 po/dz.po          | 1 +
 po/en@shaw.po     | 1 +
 po/en_CA.po       | 2 +-
 po/es.po          | 2 +-
 po/gu.po          | 2 +-
 po/gv.po          | 1 +
 po/hr.po          | 1 +
 po/hy.po          | 1 +
 po/ig.po          | 1 +
 po/it.po          | 2 +-
 po/ka.po          | 1 +
 po/km.po          | 1 +
 po/li.po          | 1 +
 po/mai.po         | 1 +
 po/mg.po          | 1 +
 po/mi.po          | 1 +
 po/mk.po          | 1 +
 po/mn.po          | 1 +
 po/ms.po          | 1 +
 po/nds.po         | 1 +
 po/ne.po          | 1 +
 po/nn.po          | 1 +
 po/ps.po          | 1 +
 po/rw.po          | 1 +
 po/si.po          | 1 +
 po/sl.po          | 2 +-
 po/sq.po          | 1 +
 po/sr@latin.po    | 2 +-
 po/ta.po          | 2 +-
 po/tg.po          | 2 +-
 po/tk.po          | 1 +
 po/tr.po          | 2 +-
 po/ug.po          | 2 +-
 po/uz.po          | 1 +
 po/uz@cyrillic.po | 1 +
 po/vi.po          | 1 +
 po/wa.po          | 1 +
 po/zh_HK.po       | 2 +-
 47 files changed, 47 insertions(+), 13 deletions(-)

commit 85a38b55e0128147ab38cc25b1daf21fa8d43e51
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Fri Jul 15 15:36:14 2016 +0300

    Updated Hebrew translation

 po/he.po | 368 +++++++++++++++++++++++++++++++++++++++++++++++++--------------
 1 file changed, 288 insertions(+), 80 deletions(-)

commit 26ce19c4c733ca9142d11bf10486f5970bb2dcbb
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Thu Jul 14 08:31:36 2016 +0200

    Updated Norwegian bokmål translation.

 po/nb.po | 291 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----
 1 file changed, 272 insertions(+), 19 deletions(-)

commit 38e9622713e4aa8f9c3bd001a7edf1048c002de7
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Mon Jul 11 14:24:24 2016 +0000

    Updated Friulian translation

 po/fur.po | 274 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----
 1 file changed, 259 insertions(+), 15 deletions(-)

commit 28019c7ee3b50f21a6e1e4d4ed7047e3e8bba205
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Jul 11 11:38:40 2016 +0200

    Updated Polish translation

 po/pl.po | 1035 ++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 503 insertions(+), 532 deletions(-)

commit 2b75aa1c95c1d159d03013759f9e6d16d5d2215e
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Jul 9 13:32:02 2016 -0500

    Generate ChangeLog in builddir
    
    https://bugzilla.gnome.org/show_bug.cgi?id=768218

 Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1bcb5c92a4c0d3f89bd0c6ec3845bd38b62cb97e
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Jul 9 13:24:42 2016 -0500

    Update POTFILES.in
    
    https://bugzilla.gnome.org/show_bug.cgi?id=757830

 po/POTFILES.in | 1 +
 1 file changed, 1 insertion(+)

commit b3373d6484d572f472d7c56fe68d30c5acfb8fe8
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Jul 9 13:18:12 2016 -0500

    build: Alphabetize RESOURCE_FILES

 src/Makefile.am | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 60f8c0f488c6ce2053f5827836e8072caaabad37
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Mon Jul 4 22:38:32 2016 +0300

    Add keyboard shortcuts dialog
    
    https://bugzilla.gnome.org/show_bug.cgi?id=757830

 src/Makefile.am                            |   1 +
 src/ephy-shell.c                           |  13 ++
 src/epiphany.gresource.xml                 |   1 +
 src/resources/epiphany-application-menu.ui |   5 +
 src/resources/shortcuts-dialog.ui          | 355 +++++++++++++++++++++++++++++
 src/window-commands.c                      |  26 +++
 src/window-commands.h                      |   2 +
 7 files changed, 403 insertions(+)

commit 1267d34e9bb48930bd674638c6afa921d0d4feca
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Fri Jul 8 07:06:16 2016 +0000

    Updated Friulian translation

 po/fur.po | 377 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 191 insertions(+), 186 deletions(-)

commit 556e6848b6295beac5100e368e50a60e7720a724
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sat Jul 2 12:15:29 2016 +0200

    Updated Norwegian bokmål translation.

 po/nb.po | 376 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 182 insertions(+), 194 deletions(-)

commit c2308d847a57df988a78d667795bfde4a99be5f7
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Wed Jun 29 20:03:19 2016 -0500

    Limit size of ChangeLog file
    
    Take the last 500 commits; works out to a little over half a year of
    commits at the current rate. Reduces the ChangeLog to a reasonable size.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=768218

 Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bae54102126a0ba9d13f8ff1a9e1940f440f8f66
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Wed Jun 29 19:57:07 2016 -0500

    build: Fix misleading changelog generation code
    
    $(top_builddir) is defined as . and so it's always the cwd, hence the
    ChangeLog is always being generated in $(srcdir). Make it clear that's
    what's going on.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=768218

 Makefile.am | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 8d9adfe3a05610e61ea8a96088c282b8244cb385
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Thu Jun 30 16:45:13 2016 +0200

    embed: Check for NULL SoupURI when trying to load invalid url
    
    Fixes crashes when accessing soup_uri memory. If there is no valid
    uri, just set the "local page" security level.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=768250

 embed/ephy-web-view.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit c7196b075312c39c765398146e692ff92098caee
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Sun Jun 26 16:19:36 2016 +0300

    Updated Hebrew translation

 po/he.po | 396 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 188 insertions(+), 208 deletions(-)

commit 5e7ae2993a443432f26739fba5ad1e9aa9f2f6dd
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Thu Jun 23 11:28:47 2016 +0200

    web-extension: Fix the build with WebKitGTK+ 2.13.2
    
    Unstable DOM API changed in 2.13.2

 embed/web-extension/ephy-web-overview.c | 4 ++++
 1 file changed, 4 insertions(+)

commit bcc9741726b1dfdb483f15aee0c6b2b6dfd3a66f
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Jun 20 13:53:03 2016 -0500

    Fix ChangeLog generation for srcdir != builddir

 Makefile.am | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit a4c117a5039d04c45f9854d39ff60776bb1f05e9
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Jun 20 13:43:43 2016 -0500

    Prepare 3.21.3

 NEWS         | 15 +++++++++++++++
 configure.ac |  2 +-
 2 files changed, 16 insertions(+), 1 deletion(-)

commit 561d2df7cae5b59d8f2a3ee59c565d878745ac07
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Jun 20 11:31:58 2016 -0500

    Expect only the desktop file basename to be passed on command line
    
    Instead of passing the path of the desktop file to application mode,
    let's just require passing the desktop file basename
    ("fedora-developer-portal.desktop") and let Gio look it up in the
    standard desktop file locations.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=767101

 src/ephy-main.c | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit 857805ad6e8c0ed09452b9809600bcda3c484575
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Wed Jun 1 07:08:48 2016 -0500

    Allow running system web apps outside GNOME
    
    Expect system web apps to pass the desktop file path via the command
    line using the existing --application-mode flag, rather than requiring
    that Epiphany be started via Gio. This allows Epiphany to compete with
    Electron as a choice for running web apps that work outside GNOME. It
    also breaks any existing system web apps, but that's probably fine as
    this feature is new in 3.20 and I'm not aware of anybody using it yet.
    
    Note this "API" is subject to change prior to the 3.22.0 release.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=767101

 src/ephy-main.c | 25 +++++++++++++++++++++----
 1 file changed, 21 insertions(+), 4 deletions(-)

commit 7effc34b5e00368218140ee48e787cb4e51a9222
Author: Andika Triwidada <atriwidada@gnome.org>
Date:   Sat Jun 18 15:44:47 2016 +0000

    Updated Indonesian translation
    (cherry picked from commit 5611b479932ed674581d8904d59f7d88c40015a8)

 po/id.po | 1352 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 696 insertions(+), 656 deletions(-)

commit 0727857c11614743158d7be907c31ae99d192c3a
Author: Muhammet Kara <muhammetk@gmail.com>
Date:   Thu Jun 16 00:37:01 2016 +0000

    Updated Turkish translation

 po/tr.po | 1212 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 644 insertions(+), 568 deletions(-)

commit 9df96a4472b2542527c52722da71a3280f10960d
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Tue Jun 14 09:55:05 2016 -0500

    title-box: Fixup for the previous commit
    
    Handled a conflict improperly.

 src/ephy-title-box.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e94904e2164916f835e45909759e056f65a033c3
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Tue Jun 14 09:48:32 2016 -0500

    Revert "title-box: Do not propagate button press events in title mode"
    
    This reverts commit 25df8678f43c26f990b07a758516585a91811df6.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=767585

 src/ephy-title-box.c | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

commit 3580f6dcfba2f65573ead2ce14c8650a9fdfad6f
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sun Jun 12 10:24:03 2016 -0500

    toolbar: Activate downloads popover only for active window
    
    We don't want to open the popover n times for n different windows, just
    once.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=764303

 src/ephy-toolbar.c | 23 +++++++++++++++++++----
 1 file changed, 19 insertions(+), 4 deletions(-)

commit 21366ec8d3abd63fdccd630fd508b4721d5b32f7
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Fri Jun 10 09:39:42 2016 -0500

    web-view: Improve confusing translator comments
    
    Make it harder to mess up the button on the error page; web mnemonics
    are different than the GTK+ mnemonics all translators are expecting.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=767497

 embed/ephy-web-view.c | 15 ++++++++++-----
 1 file changed, 10 insertions(+), 5 deletions(-)

commit 248eef3883bfd951c78182be58d644fb40883278
Author: Marius Gedminas <marius@gedmin.as>
Date:   Fri Jun 10 15:10:14 2016 +0300

    lt.po: drop superfluous underscore
    
    https://bugzilla.gnome.org/show_bug.cgi?id=767497

 po/lt.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8b18787e12baacece5f78bf643675c6f8464091e
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Thu Jun 9 07:08:19 2016 -0500

    embed-prefs: Tweak the web app user agent
    
    https://bugzilla.gnome.org/show_bug.cgi?id=767123

 embed/ephy-embed-prefs.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 185d2b00bc1629584d83266bbc10d6dc20f0b79f
Author: Flo H <gnu.l10n.de@gmail.com>
Date:   Wed Jun 8 20:09:56 2016 +0000

    Updated German translation

 po/de.po | 1178 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 616 insertions(+), 562 deletions(-)

commit 728c9717394a2effb849e51b427b22d4da543308
Author: Daniel Aleksandersen <code@daniel.priv.no>
Date:   Wed Jun 8 18:30:48 2016 +0200

    Increase default webapp icon size to 192
    
    https://bugzilla.gnome.org/show_bug.cgi?id=767407

 src/window-commands.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 751dbe684f6470109f3d5ce2a15201906ff7b21a
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Wed Jun 8 09:54:47 2016 -0500

    web-dom-utils: Remove return value from get_icon_from_favicon
    
    It always returns TRUE now.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=767257

 embed/web-extension/ephy-web-dom-utils.c | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

commit 18ecf7d02f5a4a9ec429fb6f84a75f4f81d16ebb
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Wed Jun 8 09:19:26 2016 -0500

    Style fixup for the previous commit

 embed/web-extension/ephy-web-dom-utils.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 61e068a5e65286b7bac7f828f309273548d60f94
Author: Daniel Aleksandersen <code@daniel.priv.no>
Date:   Wed Jun 8 12:23:58 2016 +0200

    Support large standard HTML icons and SVG for web app icons
    
    * Always prefer standard HTML over vendor specific extensions.
    * Add support for SVG icons and large HTML icons.
    * Change icon discovery order to large html5 icons, mstile,
      touch-icons, og:image, and lastly favicons.
    * Fallback to optimistically requesting /favicon.ico.
    * Change metadata matching to be case-insensitive.
    * Remove return value from ephy_web_dom_utils_get_best_icon and
      data->icon_result, check if icon_href is set instead.
    * Resolve memory leaks when creating web application icons.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=767257

 AUTHORS                                  |   1 +
 embed/ephy-web-extension-proxy.c         |   3 +-
 embed/ephy-web-extension-proxy.h         |   1 -
 embed/ephy-web-view.c                    |   7 +-
 embed/ephy-web-view.h                    |   1 -
 embed/web-extension/ephy-web-dom-utils.c | 190 +++++++++++++++++++++----------
 embed/web-extension/ephy-web-dom-utils.h |   8 +-
 embed/web-extension/ephy-web-extension.c |   6 +-
 src/window-commands.c                    |   9 +-
 9 files changed, 144 insertions(+), 82 deletions(-)

commit 1576a809883e2da46a55234fd7889ddde57f4b28
Author: Maxim Taranov <png2378@gmail.com>
Date:   Tue Jun 7 07:53:11 2016 +0300

    Updated Russian translation

 po/ru.po | 37 ++++++++++++++++++-------------------
 1 file changed, 18 insertions(+), 19 deletions(-)

commit 355bfb8634a643da694be0a558287678403f2966
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Jun 6 07:10:45 2016 +0000

    Updated Spanish translation

 po/es.po | 245 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 121 insertions(+), 124 deletions(-)

commit f0da9ac0bea6e5630edd6f980fe38d5a6717e9e5
Author: Yuri Myasoedov <ymyasoedov@yandex.ru>
Date:   Sun Jun 5 05:07:35 2016 +0000

    Updated Russian translation

 po/ru.po | 1163 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 582 insertions(+), 581 deletions(-)

commit 7008032f834bcb1068d54fb4b77276d8a2eca5cc
Author: Arash Mousavi <mousavi.arash@gmail.com>
Date:   Sat Jun 4 05:28:19 2016 +0000

    Updated Persian translation
    (cherry picked from commit eadd0c9f462e745ad53360bc36058c028a78be62)

 po/fa.po | 2926 +++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 1643 insertions(+), 1283 deletions(-)

commit 420080936a93b92fc2a0ebee5c1ab2fa09ceea1c
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Fri Jun 3 19:02:17 2016 -0500

    embed-prefs: Always append to user agent in app mode
    
    Append (WebappShell) even to a custom user agent set with GSettings.

 embed/ephy-embed-prefs.c | 20 +++++++++-----------
 1 file changed, 9 insertions(+), 11 deletions(-)

commit b011e03c5f52e403c23999e8c06c67b02c235b93
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Fri Jun 3 18:56:09 2016 -0500

    Fix user agent construction after previous "simplification"
    
    Oops.

 embed/ephy-embed-prefs.c | 2 ++
 1 file changed, 2 insertions(+)

commit a5c34fb402ea8d1455dbb0e904fe84d0f78bfbdf
Author: Daniel Aleksandersen <code@daniel.priv.no>
Date:   Fri Jun 3 23:54:18 2016 +0200

    Find web app names using OpenGraph site_name in name attribute
    
    Not standards compliant, but common mistake to set og:site_name
    as a name attribute instead of a property attribute. There is no
    harm in supporting both.
    
    Case-insensitive comparison for compatibility.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=767184

 embed/web-extension/ephy-web-dom-utils.c | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit bd7be265b43bad29497bb32865c0d0f76c423c91
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Fri Jun 3 18:40:08 2016 -0500

    embed-prefs: simplify construction of user agent
    
    We can avoid memory gymnastics in webkit_pref_callback_user_agent if we
    guarantee that webkit_pref_get_internal_user_agent never returns NULL.

 embed/ephy-embed-prefs.c | 32 +++++++++++++-------------------
 1 file changed, 13 insertions(+), 19 deletions(-)

commit dc0aef57257a582ee03aa251a514349a804c6dea
Author: Daniel Aleksandersen <code@daniel.priv.no>
Date:   Sat Jun 4 00:17:02 2016 +0200

    Append '(WebappShell)' to User-Agent when running in web app mode
    
    https://bugzilla.gnome.org/show_bug.cgi?id=767123

 embed/ephy-embed-prefs.c | 17 ++++++++++++++---
 1 file changed, 14 insertions(+), 3 deletions(-)

commit 63d4e62e69d105c9654f3c34e1ec7ede6cd1f259
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Fri Jun 3 18:17:46 2016 -0500

    Require WebKitGTK+ 2.13.1

 configure.ac                            | 2 +-
 embed/web-extension/ephy-web-overview.c | 4 ----
 2 files changed, 1 insertion(+), 5 deletions(-)

commit 82be33bd7ee5be099111c7d0e63ea295fa4bb335
Author: Carlos Alberto Lopez Perez <clopez@igalia.com>
Date:   Mon May 30 19:57:36 2016 +0200

    Allow to toggle the Web Inspector with keyboard shortcuts.
    
      This maps the keyboard shortcuts CTRL+SHIFT+I and F12 (these are
      standard ones as are used also on Chromium, Firefox and Safari).
    
      It keeps track also of whether the Inspector window is loaded or
      not, so the keyboard shortcut closes the inspector window when it
      is already loaded on a given tab.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=676870

 embed/ephy-embed.c    | 32 ++++++++++++++++++++++++++++++++
 embed/ephy-embed.h    |  1 +
 src/ephy-window.c     |  7 +++++++
 src/window-commands.c | 25 +++++++++++++++++++++++++
 src/window-commands.h |  2 ++
 5 files changed, 67 insertions(+)

commit 649e66a64acbd19ff381574dbec760e2050de77e
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:   Mon May 30 16:11:10 2016 +0000

    Updated Occitan translation

 po/oc.po | 2238 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 1174 insertions(+), 1064 deletions(-)

commit f59a399653f3148617ad17b3da3a7d3ea34f3911
Author: Jordi Mas <jmas@softcatala.org>
Date:   Sat May 28 06:40:39 2016 +0200

    Update Catalan translation

 po/ca.po | 1764 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 974 insertions(+), 790 deletions(-)

commit 13380f1f7f8c817f7a5e23555793c452ac156427
Author: Gianvito Cavasoli <gianvito@gmx.it>
Date:   Tue May 24 07:20:21 2016 +0000

    Updated Italian translation

 po/it.po | 888 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 432 insertions(+), 456 deletions(-)

commit 19023fbe19f02a75d4d41715fcdd5e912d70c2e8
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Thu May 19 22:13:26 2016 -0500

    Prepare 3.21.2

 NEWS         | 10 ++++++++++
 configure.ac |  2 +-
 2 files changed, 11 insertions(+), 1 deletion(-)

commit a5dd3a84478a8fe791f3dcb87579c4b25d4a1b03
Author: Tiago Santos <tiagofsantos81@sapo.pt>
Date:   Sat May 21 08:41:17 2016 +0000

    Updated Portuguese translation

 po/pt.po | 1229 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 640 insertions(+), 589 deletions(-)

commit 994154ae405183f10f4b08125465a1b5a0e6b7f4
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Fri May 20 19:43:43 2016 +0500

    Updated Kazakh translation

 po/kk.po | 1290 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 651 insertions(+), 639 deletions(-)

commit cc5dc7519ff5569af878a77319f3b3b34ae2868e
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Wed May 18 00:20:59 2016 +0200

    Updated POTFILES.in

 po/POTFILES.in | 1 -
 1 file changed, 1 deletion(-)

commit 757e295fd2e6a65a357124e51840b9e1b0e66386
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Tue May 17 11:53:37 2016 -0500

    Revert "ephy-shell: Always focus the main window when loading tabs in Wayland"
    
    This reverts commit af6a08f1c4feea2a1e1824c1cb714842764918ae.

 src/ephy-shell.c | 8 ++------
 1 file changed, 2 insertions(+), 6 deletions(-)

commit af6a08f1c4feea2a1e1824c1cb714842764918ae
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon May 16 22:03:51 2016 -0500

    ephy-shell: Always focus the main window when loading tabs in Wayland
    
    Else the window will never get focused, because most apps don't set
    DESKTOP_STARTUP_ID when launching Epiphany and therefore we have no
    plausible time to pass to gtk_window_present_with_time().
    
    Note that gtk_window_present() on its own seems to do nothing.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=766284

 src/ephy-shell.c | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 3634aaedc798e5e088634d3d26a1c9697ed6d4c8
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon May 16 21:07:06 2016 -0500

    ephy-shell: Improve a comment

 src/ephy-shell.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4b34246355d286fd6cf7b2becb78f139deac7782
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon May 16 15:05:06 2016 -0500

    Remove dependency on NSS
    
    Let's not keep this dependency around just to support direct upgrades
    from pre-2009 Epiphany straight to GNOME 3.22.

 configure.ac                |  18 ---
 lib/Makefile.am             |   7 -
 lib/ephy-nss-glue.c         | 312 --------------------------------------------
 lib/ephy-nss-glue.h         |  27 ----
 lib/ephy-profile-migrator.c | 310 +++----------------------------------------
 5 files changed, 15 insertions(+), 659 deletions(-)

commit 1480f35cc37a988869783fcb669f791ce69d7dd1
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon May 16 14:57:31 2016 -0500

    Drop unused libwnck dependency
    
    Nothing calls ephy_window_is_on_current_workspace anymore. And this
    can't work under Wayland, anyway.

 configure.ac      |  1 -
 src/ephy-shell.c  | 10 ----------
 src/ephy-window.c | 41 -----------------------------------------
 src/ephy-window.h |  2 --
 4 files changed, 54 deletions(-)

commit cd66493455cfbbb585cc051eb38cbfd640751014
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Fri May 13 23:30:41 2016 +0300

    Updated Lithuanian translation

 po/lt.po | 1218 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 643 insertions(+), 575 deletions(-)

commit 85efc584643d0600f37ad407d5ea85e405c7262e
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:   Thu May 12 19:32:40 2016 +0000

    Updated Occitan translation

 po/oc.po | 9720 +++++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 6172 insertions(+), 3548 deletions(-)

commit 0283906a4ba772d447bde4a9c5b738a6e027edaa
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Mar 5 13:33:57 2016 -0600

    download: Handle focus stealing prevention properly
    
    Currently, we always pass the start time of the download to
    ephy_embed_shell_launch_handler for focus stealing preventing. This is
    wrong as it causes apps to not be focused when opening files manually.
    For example, I became confused today when I tried to open an image file,
    and it opened in eog, but eog appeared beneath the Epiphany window and
    did not receive focus, so I could not see it.
    
    Instead, use the current time for focus stealing prevention when the
    download action is activated from somewhere external to this file (e.g.
    the downloads popover), and only use the start time when the download
    action is set in advance via ephy_download_set_download_action(), or
    when opening the download automatically without user interaction.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=610586

 embed/ephy-download.c | 54 +++++++++++++++++++++++++++++----------------------
 1 file changed, 31 insertions(+), 23 deletions(-)

commit c33e83c7fc5eb7594021582528b0e869ecb082e4
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Mar 5 13:25:14 2016 -0600

    download: Add an assertion
    
    https://bugzilla.gnome.org/show_bug.cgi?id=610586

 embed/ephy-download.c | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit d0ad9976396265f166546ff5e4d483002881b3b7
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Mar 5 13:16:33 2016 -0600

    download: Remove EPHY_DOWNLOAD_ACTION_AUTO
    
    Let's always take the same action when auto-opening a file as when
    opening manually, instead of allowing ephy_download_do_download_action()
    to confusingly invoke itself recursively.
    
    At first, I thought it would be good to treat automatic downloads
    differently, and perform MIME type safety checking on them, but not on
    downloads opened manually. But I'm not so sure anymore, since it is easy
    for a server to give the file a deceptive file extension but report an
    accurate MIME type, which could trick the user into opening a harmful
    file (e.g. a script) if we were to stop performing MIME type safety
    checks on manually-opened files. So let's continue to perform that check
    in both cases. But now that EPHY_DOWNLOAD_ACTION_OPEN browses to the
    file if opening fails, there's no need to have special behavior for
    EPHY_DOWNLOAD_ACTION_AUTO anymore. The only difference that currently
    implies is that we check the safety of the MIME type once for the
    server's reported MIME type, fall back to browsing to the file if it's
    unsafe, then sniff the MIME type ourselves, check safety again, and
    decide to browse to. There's no point in checking the safety of the
    server's reported type, since we're just going to sniff it ourselves.
    
    So just get rid of it.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=610586

 embed/ephy-download.c | 38 ++------------------------------------
 embed/ephy-download.h |  1 -
 2 files changed, 2 insertions(+), 37 deletions(-)

commit 5a5584f882d150324f20e8fc6d44662de3d63653
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Mar 5 13:05:31 2016 -0600

    download: Get rid of EPHY_DOWNLOAD_ACTION_DO_NOTHING
    
    This differs from EPHY_DOWNLOAD_ACTION_NONE in that it explicitly
    informs EphyDownload that it should not perform any download action.
    Maybe that was actually important in the past, but nowadays there's
    absolutely no difference, so just get rid of it.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=610586

 embed/ephy-download.c      | 4 ----
 embed/ephy-download.h      | 3 +--
 src/popup-commands.c       | 1 -
 tests/ephy-download-test.c | 1 -
 4 files changed, 1 insertion(+), 8 deletions(-)

commit c6b53f506140ba5a83b148cd836a0fce3d00fccd
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Apr 30 16:36:14 2016 -0500

    snapshot-service: Reuse the same SnapshotAsyncData struct
    
    Having too many structs makes this file unnecessarily difficult to read.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=765863

 lib/ephy-snapshot-service.c | 136 ++++++++++++--------------------------------
 1 file changed, 36 insertions(+), 100 deletions(-)

commit adc6c404f650d51bf2709ed3d6f70475a0bf1286
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Apr 30 13:50:32 2016 -0500

    snapshot-service: Ensure snapshot freshness in a better location
    
    This reduces the likelihood that we'll duplicate effort in taking a
    snapshot twice, by ensuring we only ever call
    ephy_snapshot_service_take_from_webview in one location.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=765863

 lib/ephy-snapshot-service.c | 56 ++++++++++++++++++++++-----------------------
 1 file changed, 27 insertions(+), 29 deletions(-)

commit d89374ee0f2653e48143e49f2325c47301f9d603
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Apr 30 13:11:07 2016 -0500

    snapshot-service: Rename memory cache lookup function
    
    To be more clear
    
    https://bugzilla.gnome.org/show_bug.cgi?id=765863

 embed/ephy-about-handler.c  | 2 +-
 lib/ephy-snapshot-service.c | 8 ++++----
 lib/ephy-snapshot-service.h | 2 +-
 3 files changed, 6 insertions(+), 6 deletions(-)

commit 8f3191cb4fab6a2b31c77fc92003eed5ac88845c
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Apr 30 13:05:59 2016 -0500

    snapshot-service: pretty up header file
    
    https://bugzilla.gnome.org/show_bug.cgi?id=765863

 lib/ephy-snapshot-service.h | 53 ++++++++++++++++++++++++---------------------
 1 file changed, 28 insertions(+), 25 deletions(-)

commit 3c2fc9bc3c87c6a94ee767f974c0ce8cff6a94d6
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Apr 30 13:00:58 2016 -0500

    snapshot-service: assert that web view has loaded at some point
    
    We should never attempt to get a snapshot from a web view that has never
    loaded anything ever. Instead of attempting to handle this case in a
    nonsensical manner, just assert that it will never happen.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=765863

 lib/ephy-snapshot-service.c | 29 ++++++++++++-----------------
 1 file changed, 12 insertions(+), 17 deletions(-)

commit a97b8e92ade3721cc89788041cedc005876fbd17
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Apr 30 12:48:28 2016 -0500

    snapshot-service: Make ephy_snapshot_service_save private
    
    Requires rearrangements to avoid forward declarations.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=765863

 lib/ephy-snapshot-service.c | 285 ++++++++++++++++++++++----------------------
 lib/ephy-snapshot-service.h |  12 --
 2 files changed, 143 insertions(+), 154 deletions(-)

commit 3f0c4a9393489c4828515c9759bee183a2812a2a
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Apr 30 12:15:28 2016 -0500

    snapshot-service: Remove unused functions to retrieve pixbufs
    
    We have a bunch of complicated code to support retrieving GdkPixbufs
    from the snapshot service, but Epiphany does not use these and I don't
    expect it to in the future. The snapshot service is too complex right
    now and it's more important to simplify than to keep dead code around.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=765863

 lib/ephy-snapshot-service.c | 229 +-------------------------------------------
 lib/ephy-snapshot-service.h |  24 -----
 2 files changed, 1 insertion(+), 252 deletions(-)

commit 9af9fb9a6afdbb1fc4d15f0704604d7fdd98d002
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Fri Apr 29 09:38:30 2016 -0500

    snapshot-service: Clarify error message
    
    The snapshot service has two caches.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=765863

 lib/ephy-snapshot-service.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 050d8bb3d26e7d3887507bc82a8da869d6032ee7
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sun Apr 24 23:05:17 2016 -0500

    web-view-test: Fix return type of visit_url_cb
    
    tartan would have caught this.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=765863

 tests/ephy-web-view-test.c | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit 0cbd04fda4c13c4fdb0241c9f067ddc5f3aa7386
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sun Apr 24 20:53:12 2016 -0500

    snapshot-service: Stop using const time_t
    
    We don't use const in C except for strings. And certainly not for
    pass-by-value.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=765863

 lib/ephy-snapshot-service.c | 8 ++++----
 lib/ephy-snapshot-service.h | 8 ++++----
 2 files changed, 8 insertions(+), 8 deletions(-)

commit bc193027acedbb1599ad8d2a919d86b9103b7b5f
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Wed Apr 13 17:05:19 2016 -0500

    snapshot-service: Always return snapshots immediately if available
    
    Return a stale snapshot, then schedule creation of a new snapshot. This
    way, we show a preexisting snapshot even if snapshot creation fails. The
    new snapshot will be used only for future requests.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=763184

 lib/ephy-snapshot-service.c | 29 +++++++++++++++++++++++++++--
 1 file changed, 27 insertions(+), 2 deletions(-)

commit 4c4c719dfe363f5a11d28af0e5a0f073127fb7b4
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Fri Apr 29 09:14:47 2016 -0500

    Save the correct thumbnail mtime in the history service
    
    Save the thumbnail mtime when saving thumbnails so it actually reflects
    the mtime embedded in the thumbnail, not the time the page was saved in
    the history service. This regressed in 0433ac9. It's only noticeable now
    due to 9754735, which has resulted in thumbnails regularly disappearing
    from the overview.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=763184

 embed/ephy-embed-shell.c    | 19 +++++++++---
 lib/ephy-snapshot-service.c | 70 ++++++++++++++++++++++++++++++++++++++-------
 2 files changed, 75 insertions(+), 14 deletions(-)

commit 1884ecf19d0a705032f01b4af09b18e0846e83eb
Author: Lapo Calamandrei <calamandrei@gmail.com>
Date:   Thu May 5 19:06:21 2016 +0200

    scss: theme updates and fixes
    
    update and correct the theme scss to reflect changes in gtk+ and
    regenerated the css.

 src/resources/epiphany.css  | 52 +++++++++++++++++++----------------------
 src/resources/epiphany.scss | 56 +++++++++++++++++++++++++++------------------
 2 files changed, 57 insertions(+), 51 deletions(-)

commit 9e6fa0ff764de0fc272d602fe79d01b17a0337b5
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Tue May 3 20:18:20 2016 +0200

    Updated Spanish translation

 po/es.po | 38 ++++++++------------------------------
 1 file changed, 8 insertions(+), 30 deletions(-)

commit 7f7504c318badaa1e3b01e43ebce90d5da224af9
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue May 3 17:42:02 2016 +0200

    Use https in DDG lt and tr translations

 po/lt.po | 2 +-
 po/tr.po | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 1a6b8b30f44d0704f6215d5c2f2832954852e3f9
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue May 3 17:40:56 2016 +0200

    Fix GSettings default value translations

 po/bg.po  | 2 +-
 po/cs.po  | 2 +-
 po/da.po  | 2 +-
 po/de.po  | 2 +-
 po/fi.po  | 2 +-
 po/fr.po  | 2 +-
 po/fur.po | 2 +-
 po/it.po  | 2 +-
 po/ja.po  | 2 +-
 po/ko.po  | 2 +-
 po/lt.po  | 2 +-
 po/lv.po  | 2 +-
 po/nb.po  | 2 +-
 po/sk.po  | 2 +-
 14 files changed, 14 insertions(+), 14 deletions(-)

commit db35de0789ee8f962079abb154a010512fdb90ed
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sun May 1 14:27:53 2016 +0200

    Updated Norwegian bokmål translation.

 po/nb.po | 408 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 220 insertions(+), 188 deletions(-)

commit fbbf821708cd10ebf02a31d6e6781bb74abdc697
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sun May 1 14:24:07 2016 +0200

    Updated Norwegian bokmål translation.

 po/nb.po | 916 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 447 insertions(+), 469 deletions(-)

commit 07efd4fc021034a7a30c9ef23f05d0b1894309e9
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Apr 30 19:15:04 2016 -0500

    theme: Fix background image color
    
    Per advice of Lapo

 src/resources/epiphany.css  | 4 ++--
 src/resources/epiphany.scss | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 8e2240891a0194849870c4c2c5236d6c00069ae2
Author: Balázs Meskó <meskobalazs@gmail.com>
Date:   Sat Apr 30 09:23:02 2016 +0000

    Updated Hungarian translation

 po/hu.po | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit af76364c26005d38c94fd37763f976b9b7f98e23
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Thu Apr 28 15:46:30 2016 +0300

    Close <p> tag
    
    https://bugzilla.gnome.org/show_bug.cgi?id=765724

 embed/ephy-web-view.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3dd8da58699af374df76b452a89133b172896458
Author: Balázs Meskó <meskobalazs@gmail.com>
Date:   Wed Apr 27 20:07:43 2016 +0000

    Updated Hungarian translation

 po/hu.po | 1195 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 619 insertions(+), 576 deletions(-)

commit 15069a89221d82b385de29db05de3bc9d8eb23fe
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Wed Apr 27 20:56:32 2016 +0200

    Updated Spanish translation

 po/es.po | 1223 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 648 insertions(+), 575 deletions(-)

commit 28494659608e132a03a9bd8f66703bfc6af00e81
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Wed Apr 27 07:36:21 2016 +0000

    Updated Friulian translation

 po/fur.po | 35 ++++++++++++++---------------------
 1 file changed, 14 insertions(+), 21 deletions(-)

commit ac089f4b2c2da17f019ffbbdbb9f4925e7d83e62
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Wed Apr 27 07:19:18 2016 +0000

    Updated Friulian translation

 po/fur.po | 25 ++++++++++++++++---------
 1 file changed, 16 insertions(+), 9 deletions(-)

commit 05f2a8b14df42e2915c9eebdceb3761241ce0c49
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Tue Apr 26 22:05:28 2016 +0000

    Updated Friulian translation

 po/fur.po | 501 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 279 insertions(+), 222 deletions(-)

commit b64fe7784c20dadc6fea4b18a356057f512a71b1
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Apr 25 12:12:35 2016 -0500

    Prepare 3.21.1

 NEWS         | 18 ++++++++++++++++++
 configure.ac |  4 ++--
 2 files changed, 20 insertions(+), 2 deletions(-)

commit 3bfec85cae8817ac6e5e94db4073832832da63c7
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Sun Apr 24 15:55:26 2016 +0300

    Update Latvian translation

 po/lv.po | 1215 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 645 insertions(+), 570 deletions(-)

commit 02314b788265df9118efed4f1ff41189be0ef135
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Apr 23 21:17:21 2016 -0500

    theme: Avoid CSS errors
    
    Not sure how this is supposed to work, but specifying a gradient for an
    image doesn't seem to make much sense, so let's just not do it... errors
    be gone.

 src/resources/epiphany.css  | 4 ++--
 src/resources/epiphany.scss | 5 ++---
 2 files changed, 4 insertions(+), 5 deletions(-)

commit b8546efa6b157fb54ec8bc44d8c6db85cf42b1d5
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Apr 23 21:09:56 2016 -0500

    theme: stop abusing linear-gradient

 src/resources/epiphany.css  | 2 +-
 src/resources/epiphany.scss | 3 +--
 2 files changed, 2 insertions(+), 3 deletions(-)

commit 152ff5b34d05c6584c387ed488364106de8f082f
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Apr 23 21:07:48 2016 -0500

    theme: update CSS for latest Adwaita

 src/resources/epiphany.css | 91 ++++++++++++++++++++++++----------------------
 1 file changed, 47 insertions(+), 44 deletions(-)

commit 4ecc401d52fda79d7e58e2db63f59b99dee6a280
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Apr 23 15:45:49 2016 -0500

    Fix build with WebKit trunk

 embed/web-extension/ephy-web-overview.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 532f3ea72fe3b890d83176ddf7e9b08fee8d7d46
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Apr 23 10:36:05 2016 -0500

    Add sane default bookmarks

 data/default-bookmarks.rdf.in | 11 ++++++++++-
 po/POTFILES.in                |  1 -
 2 files changed, 10 insertions(+), 2 deletions(-)

commit 35b3b119a8dc8f75fbd027268cacd9ba7e989484
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:   Tue Apr 19 17:22:06 2016 +0000

    Updated Occitan translation

 po/oc.po | 5187 +++++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 3272 insertions(+), 1915 deletions(-)

commit 052b4c9ddc060f8b390f8b84a7021b9ffa3677fd
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Mon Apr 11 00:39:49 2016 +0200

    Update Arabic translation

 po/ar.po | 1654 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 896 insertions(+), 758 deletions(-)

commit 07c184f1978317e447de531569b04027e2d62f19
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Fri Apr 8 16:50:29 2016 +0000

    Updated Friulian translation
    (cherry picked from commit 701386dd4911af7ffa59a322bcd6451f447c8a62)

 po/fur.po | 19 ++++++++++---------
 1 file changed, 10 insertions(+), 9 deletions(-)

commit 859f63c05de1dfb348f66f206ee76cde0cc46443
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Fri Apr 8 16:48:24 2016 +0000

    Updated Friulian translation
    (cherry picked from commit c8c8d87eb54298b5b30236fab90485d9551149f9)

 po/fur.po | 26 +++++++++++++-------------
 1 file changed, 13 insertions(+), 13 deletions(-)

commit 3873c76e774f7d8400f38356258d4c8d519a8cc6
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Fri Apr 8 09:17:06 2016 -0500

    Remove default smart bookmark
    
    It's terrible and it's confusing users.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=763307

 data/default-bookmarks.rdf.in | 25 -------------------------
 1 file changed, 25 deletions(-)

commit f260745e880691e3781e6cb95d1f303867b84c99
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Fri Apr 8 09:04:22 2016 -0500

    file-chooser: Support WebP files
    
    It's not really sustainable to add every supported file type here
    manually, we need a better solution. But as a quick fix, add WebP
    support here.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=739934

 lib/widgets/ephy-file-chooser.c | 2 ++
 1 file changed, 2 insertions(+)

commit 37e9a29836c736de332609ba8232830da464451d
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Fri Apr 8 13:51:06 2016 +0300

    Updated Hebrew translation

 po/he.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 274e07d33f215fd0eaa4efe453087b28e6c2d17f
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Fri Apr 8 13:48:56 2016 +0300

    Updated Hebrew translation

 po/he.po | 1134 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 601 insertions(+), 533 deletions(-)

commit 8492ac100c03139909926d9becbe0e9183a097da
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Tue Apr 5 08:48:56 2016 +0000

    Updated Friulian translation
    (cherry picked from commit d548e2108abede5ed08e4ff270e4f5e6ea9aef04)

 po/fur.po | 172 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 90 insertions(+), 82 deletions(-)

commit 6c617bb6d20a9bfe1d4ad399107c2b830d62c848
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Tue Apr 5 08:09:18 2016 +0000

    Updated Friulian translation
    (cherry picked from commit 99f313e4691afdfc75deeb72831131833152f415)

 po/fur.po | 117 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 62 insertions(+), 55 deletions(-)

commit 799295a97d8269fcdcb2b10175256f103ebe53d5
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Tue Apr 5 07:20:18 2016 +0300

    Updated Bulgarian translation

 po/bg.po | 1672 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 919 insertions(+), 753 deletions(-)

commit 7d382c2a8a9e03427f2c89cf32296acd31904b2e
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Mon Apr 4 23:33:51 2016 +0000

    Updated Friulian translation
    (cherry picked from commit 5174060835ecea90b5d2d418b527cc1b5caea3aa)

 po/fur.po | 120 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 61 insertions(+), 59 deletions(-)

commit 9e4260944d9abba52e082c5dabd9340a67db53fc
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Mon Apr 4 23:15:54 2016 +0000

    Updated Friulian translation
    (cherry picked from commit 866fe53f32707acfda1ed094c96361f93255ac3f)

 po/fur.po | 187 ++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 110 insertions(+), 77 deletions(-)

commit 4bd8a316515ccb4e0a49d67e7e19407a590f3d14
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Mon Apr 4 21:18:50 2016 +0000

    Updated Friulian translation
    (cherry picked from commit 9c0fc023c651cdbcc0f7d60c0369887b7906e2ac)

 po/fur.po | 24 +++++++++++++++---------
 1 file changed, 15 insertions(+), 9 deletions(-)

commit e6d9b5a8711a026bcd06a6abf67b883032911cb7
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Mon Apr 4 21:04:02 2016 +0000

    Updated Friulian translation
    (cherry picked from commit 2045b8fdaf42d72eb5299e346748bd23e70acfef)

 po/fur.po | 191 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 100 insertions(+), 91 deletions(-)

commit 9928b406be806f2bb90070e5a5567127b44b4e65
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Mon Apr 4 20:25:21 2016 +0000

    Updated Friulian translation
    (cherry picked from commit d8d3d0b5537b86e3b5b93bf6704af3abf4b73ce5)

 po/fur.po | 258 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 129 insertions(+), 129 deletions(-)

commit 5d9a3f44a0ac9a74083897c9e4938848d3f5c56c
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Mon Apr 4 19:57:17 2016 +0000

    Updated Friulian translation
    (cherry picked from commit 3196fbc74c2600fc5a0be5f649a23c4385eadf0e)

 po/fur.po | 137 +++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 92 insertions(+), 45 deletions(-)

commit fa2b175513efdca39f898070a03b17d985eef51a
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sun Apr 3 17:25:45 2016 -0500

    notebook: Allow changing new tab settings at runtime
    
    https://bugzilla.gnome.org/show_bug.cgi?id=764368

 src/ephy-notebook.c | 53 +++++++++++++++++++++++++++++++++++++++++++++++++----
 1 file changed, 49 insertions(+), 4 deletions(-)

commit 1c7aee013d9f23879f12208645584dc327efb087
Author: Carlos Alberto Lopez Perez <clopez@igalia.com>
Date:   Wed Mar 30 15:36:29 2016 +0200

    Allow vertical tabs and more control about the tabs placement
    
      * This adds two new settings to org.gnome.Epiphany.ui
        - expand-tabs-bar controls whether the tabs should fill the
          available space in the bar.
        - tabs-bar-position controls the position of the tabs bar
          (GtkNotebook)
    
      * The default value is to keep the current UI (tabs bar on the top
        and expand the tabs to fill the space).
    
      * To configure vertical tabs, tabs-bar-position can be set to left
        and expand-tabs-bar to false. Setting expand-tabs-bar to true
        when tabs-bar-position is left or right can be also useful
        for touch devices.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=764368

 data/org.gnome.epiphany.gschema.xml | 10 ++++++++++
 lib/ephy-prefs.h                    | 10 ++++++++++
 src/ephy-notebook.c                 | 28 ++++++++++++++++++++++++++--
 3 files changed, 46 insertions(+), 2 deletions(-)

commit 934400f0151c11a81152b0264a122120679881be
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Mon Apr 4 14:06:15 2016 +0000

    Added Friulian translation
    (cherry picked from commit ad09d8b30b90ca80ca914e1995bffe3d1f4cacdf)

 po/LINGUAS |    1 +
 po/fur.po  | 2859 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 2860 insertions(+)

commit 4ffe4a4ea13727238f0b11a93f5f978185c9ad8f
Author: Günther Wutz <info@gunibert.de>
Date:   Thu Mar 31 12:52:47 2016 +0200

    Emit close Signal to GtkDialog if GtkSearchEntry is focused
    
    https://bugzilla.gnome.org/show_bug.cgi?id=764408

 src/ephy-history-window.c       | 14 ++++++++++++++
 src/resources/history-dialog.ui |  1 +
 2 files changed, 15 insertions(+)

commit 3ddda4dc3519dd4ffed95f94e2c30995b449ee38
Author: Günther Wutz <info@gunibert.de>
Date:   Wed Mar 30 20:30:02 2016 +0200

    history-window: Remove dead code
    
    https://bugzilla.gnome.org/show_bug.cgi?id=764386

 src/ephy-history-window.c | 23 -----------------------
 1 file changed, 23 deletions(-)

commit 4326cc208ce35a0cef11706e82878fbb8a299c8f
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Thu Mar 31 09:09:47 2016 -0500

    Update TODO

 TODO | 3 +++
 1 file changed, 3 insertions(+)

commit 975473537307640632d4a5d876431fbbed1422c4
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Tue Mar 29 20:59:31 2016 -0500

    snapshot-service: Take new snapshots after a restart
    
    The previous commit was correct, but the commit message was not. It
    stated that removing the erroneous check would cause snapshots to be
    taken if the stored snapshot is too old. In fact, removing the check did
    not affect behavior at all -- the check was useless -- and so that did
    nothing to fix our stale snapshot issue.
    
    If the snapshot path is not in memory cache, this is an indication that
    the snapshot is relatively stale (older than the current browsing
    session) and should be taken again. But we cannot use the existing
    snapshot path memory cache as-is, because it is populated not when
    snapshots are taken, but when snapshots are looked up. Augment the cache
    to remember which paths were snapshotted since Epiphany was last
    restarted, and check it to determine whether we're due for a snapshot of
    the current page. Also, remove use of the cache from EphyWebView, since
    that would prevent snapshots from ever being taken.
    
    This really fixes the issue.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=763184

 embed/ephy-web-view.c       |  19 ++++----
 lib/ephy-snapshot-service.c | 113 +++++++++++++++++++++++++++++---------------
 2 files changed, 83 insertions(+), 49 deletions(-)

commit fd68604c30e5001ba60da1de252ac1c555a10278
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Tue Mar 29 20:12:09 2016 -0500

    Revert "snapshot-service: Update snapshots after one week"
    
    This reverts commit 80ba0ff169d472888389589b143407d56898ea62.
    
    This code has been broken since it was introduced. There are two cases
    where we use the snapshot service:
    
     * From EphyAboutHandler. Here we pass the a time taken from
       EphyHistoryService for the mtime. This check does not seem useful in
       this case, because it is only a query: it can never result in a new
       snapshot being taken to replace the old snapshot.
    
     * From EphyWebView itself, when a new page is loaded (or, until
       recently, when a favicon was acquired for that page). This is the
       only case in which a new snapshot can ever be taken (or updated). In
       this case, we pass the current time for mtime, then the comparison
       current_time - mtime <= SNAPSHOT_UPDATE_THRESHOLD is the same as
       if (0 <= SNAPSHOT_UPDATE_THRESHOLD), and so the snapshots always pass
       the check and are never expired.
    
    Ideally we would reimplement this properly, since one week seems like a
    good amount of time for which to persist snapshots. But this is far from
    straightforward to do. For now, let's just remove this code, causing
    snapshots to be updated at most once per browsing session.
    
    This mitigates the bug where, until recently, we would take snapshots of
    completely white web views, before the pages had rendered; even though
    we no longer take white snapshots, broken snapshots that were taken
    previously currently persist forever until ~/.cache/thumbnails is
    cleared somehow (e.g. by gnome-settings-daemon's housekeeping plugin).
    Now they will be cleared much sooner.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=763184

 lib/ephy-snapshot-service.c | 9 ++-------
 1 file changed, 2 insertions(+), 7 deletions(-)

commit c45dd01d9b7040dc332dcd0dac6ba7823c1e30dc
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Tue Mar 29 16:11:27 2016 -0500

    Update TODO
    
    Done.

 TODO | 1 -
 1 file changed, 1 deletion(-)

commit 644cccb69a840e1c05f3e0f27eebc8537aa3ad51
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Tue Mar 29 16:11:10 2016 -0500

    Update TODO
    
    Not gonna happen

 TODO | 3 ---
 1 file changed, 3 deletions(-)

commit 54e3742fe4909cb9f952cd86185f0f278ff9e581
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Feb 29 10:23:58 2016 -0600

    web-view: Always save passwords in web app mode
    
    If you made a web app for the site, you surely want it to remember your
    password. Don't bug the user about this.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=672573

 embed/ephy-web-view.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit 1725f0da1a8c09427bc5ec8fd9b13d85d4e94065
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Wed Mar 23 20:54:59 2016 -0500

    window: Force popover to open on the bottom
    
    We never want it opening on the top, outside the window and potentially
    off the screen.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=763921

 src/ephy-window.c | 1 +
 1 file changed, 1 insertion(+)

commit 23cbcbb55aa99be27f0c68c7d27bac3b1661649c
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Tue Mar 15 22:39:30 2016 +0200

    New design for error pages
    
    Implement a new design for error pages following the web interstitial mockup.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=744063

 data/pages/error.css                        | 147 +++++++++++++++----
 embed/ephy-web-view.c                       | 219 ++++++++++++++--------------
 src/Makefile.am                             |   2 +
 src/epiphany.gresource.xml                  |   2 +
 src/resources/channel-insecure-symbolic.png | Bin 0 -> 3283 bytes
 src/resources/computer-fail-symbolic.png    | Bin 0 -> 756 bytes
 src/resources/error.html                    |  57 ++++++--
 7 files changed, 278 insertions(+), 149 deletions(-)

commit b46bb84c6ce3125947a6d54088633c23f17e81fc
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Mon Mar 7 13:49:52 2016 +0200

    Add Duplicate Tab window command
    
    https://bugzilla.gnome.org/show_bug.cgi?id=763221

 src/ephy-window.c             |  2 ++
 src/resources/epiphany-ui.xml |  1 +
 src/window-commands.c         | 24 ++++++++++++++++++++++++
 src/window-commands.h         |  2 ++
 4 files changed, 29 insertions(+)

commit b5668df286870667af4bc76cfdb128be2f875a5c
Author: Iulian Radu <iulian.radu67@gmail.com>
Date:   Thu Mar 17 16:25:44 2016 +0200

    location-entry: Add 'Paste & Go' item to context menu
    
    https://bugzilla.gnome.org/show_bug.cgi?id=319506

 lib/widgets/ephy-location-entry.c | 54 +++++++++++++++++++++++++++++++++++++--
 1 file changed, 52 insertions(+), 2 deletions(-)

commit 019ac9b9fe0b9e1b4b0f834a071dd6f8c63ba956
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Wed Mar 23 20:23:29 2016 -0500

    session: Fix saving of multiple windows
    
    This regressed when we changed ephy_session_close to always save the
    session, even if a save was already in progress. In general that is
    fine, but it's broken in case a close has already occurred. The problem
    is that we actually close twice: once in ephy_shell_close_all_windows,
    and then again once for the last window in ephy_window_close. When
    closing the last window, other windows have already been closed, and
    therefore do not get saved. We need to keep the check here though, to
    keep session save working in the general case when closing a single
    window with the close button or Ctrl+W, where
    ephy_shell_close_all_windows never gets called. So the easiest way to
    fix this is to simply tolerate multiple calls to ephy_session_close, and
    bail early if the session was already closed; this ensures that we do
    not clobber the session state file when closing the final window if the
    session was closed by ephy_shell_close_all_windows.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=764101

 src/ephy-session.c | 3 +++
 1 file changed, 3 insertions(+)

commit 9ccb9da9eb9601c66e615d7a4a44c747832ddac1
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Mar 21 23:13:34 2016 -0500

    Uncrustify
    
    For a better future. Apologies when your 'git blame' resolves to this.
    
    I'm actually really impressed how well uncrustify works. This required
    only a little one-time manual work to avoid extra space in 'else   {'.
    
    This breaks function prototype alignment, but we should get rid of most
    of those anyway.
    
    We decided to start aligning function parameters, like other GNOME
    applications. It looks nicer this way, and I couldn't teach uncrustify
    the previous Epiphany style.

 embed/ephy-about-handler.c                      |   91 +-
 embed/ephy-download.c                           |  207 +-
 embed/ephy-downloads-manager.c                  |    5 +-
 embed/ephy-embed-container.c                    |   10 +-
 embed/ephy-embed-event.c                        |   17 +-
 embed/ephy-embed-prefs.c                        |  185 +-
 embed/ephy-embed-shell.c                        |  172 +-
 embed/ephy-embed-utils.c                        |   28 +-
 embed/ephy-embed.c                              |  135 +-
 embed/ephy-encoding.c                           |  122 +-
 embed/ephy-encodings.c                          |  193 +-
 embed/ephy-file-monitor.c                       |   40 +-
 embed/ephy-find-toolbar.c                       |  799 ++--
 embed/ephy-web-extension-proxy.c                |  106 +-
 embed/ephy-web-view.c                           |  520 ++-
 embed/web-extension/ephy-embed-form-auth.c      |    7 +-
 embed/web-extension/ephy-uri-tester.c           |  649 ++-
 embed/web-extension/ephy-web-dom-utils.c        |   38 +-
 embed/web-extension/ephy-web-extension-main.c   |    2 +-
 embed/web-extension/ephy-web-extension.c        |  142 +-
 embed/web-extension/ephy-web-overview-model.c   |   22 +-
 embed/web-extension/ephy-web-overview.c         |   63 +-
 lib/egg/eggtreemultidnd.c                       |  270 +-
 lib/ephy-debug.c                                |  268 +-
 lib/ephy-dnd.c                                  |  109 +-
 lib/ephy-file-helpers.c                         | 1226 +++--
 lib/ephy-form-auth-data.c                       |   61 +-
 lib/ephy-gui.c                                  |  535 ++-
 lib/ephy-initial-state.c                        |   75 +-
 lib/ephy-langs.c                                |  451 +-
 lib/ephy-node-db.c                              |  512 +--
 lib/ephy-node-filter.c                          |  604 ++-
 lib/ephy-node.c                                 | 1814 ++++----
 lib/ephy-nss-glue.c                             |   89 +-
 lib/ephy-profile-migrator.c                     |  106 +-
 lib/ephy-profile-utils.c                        |    6 +-
 lib/ephy-security-levels.c                      |   28 +-
 lib/ephy-signal-accumulator.c                   |   81 +-
 lib/ephy-smaps.c                                |   30 +-
 lib/ephy-snapshot-service.c                     |  149 +-
 lib/ephy-sqlite-connection.c                    |    8 +-
 lib/ephy-sqlite-statement.c                     |    9 +-
 lib/ephy-string.c                               |   36 +-
 lib/ephy-time-helpers.c                         |  370 +-
 lib/ephy-uri-helpers.c                          |   46 +-
 lib/ephy-web-app-utils.c                        |   30 +-
 lib/ephy-zoom.c                                 |    2 +-
 lib/history/ephy-history-service-hosts-table.c  |   80 +-
 lib/history/ephy-history-service-urls-table.c   |  124 +-
 lib/history/ephy-history-service-visits-table.c |   34 +-
 lib/history/ephy-history-service.c              |  206 +-
 lib/history/ephy-history-types.c                |    8 +-
 lib/widgets/ephy-certificate-dialog.c           |  106 +-
 lib/widgets/ephy-download-widget.c              |  135 +-
 lib/widgets/ephy-downloads-popover.c            |    3 +-
 lib/widgets/ephy-downloads-progress-icon.c      |    3 +-
 lib/widgets/ephy-file-chooser.c                 |  343 +-
 lib/widgets/ephy-location-entry.c               | 2062 +++++----
 lib/widgets/ephy-middle-clickable-button.c      |   11 +-
 lib/widgets/ephy-node-view.c                    | 2657 ++++++-----
 lib/widgets/ephy-security-popover.c             |  130 +-
 lib/widgets/ephy-tree-model-node.c              |  653 ++-
 lib/widgets/ephy-tree-model-sort.c              |  164 +-
 lib/widgets/ephy-zoom-action.c                  |  245 +-
 lib/widgets/nautilus-floating-bar.c             |  658 +--
 src/bookmarks/ephy-bookmark-action-group.c      |  201 +-
 src/bookmarks/ephy-bookmark-action.c            |  620 ++-
 src/bookmarks/ephy-bookmark-properties.c        |  696 ++-
 src/bookmarks/ephy-bookmarks-editor.c           | 2737 ++++++------
 src/bookmarks/ephy-bookmarks-export.c           |  859 ++--
 src/bookmarks/ephy-bookmarks-import.c           | 1596 +++----
 src/bookmarks/ephy-bookmarks-menu.c             |  384 +-
 src/bookmarks/ephy-bookmarks-ui.c               |  486 +-
 src/bookmarks/ephy-bookmarks.c                  | 2409 +++++-----
 src/bookmarks/ephy-nodes-cover.c                |  271 +-
 src/bookmarks/ephy-open-tabs-action.c           |  163 +-
 src/bookmarks/ephy-topic-action-group.c         |  139 +-
 src/bookmarks/ephy-topic-action.c               |  450 +-
 src/bookmarks/ephy-topics-entry.c               |  935 ++--
 src/bookmarks/ephy-topics-palette.c             |  498 +--
 src/clear-data-dialog.c                         |  171 +-
 src/cookies-dialog.c                            |  539 ++-
 src/ephy-action-helper.c                        |   40 +-
 src/ephy-combined-stop-reload-action.c          |   27 +-
 src/ephy-completion-model.c                     |  100 +-
 src/ephy-encoding-dialog.c                      |  589 ++-
 src/ephy-encoding-row.c                         |  118 +-
 src/ephy-history-window.c                       | 1002 ++---
 src/ephy-home-action.c                          |   78 +-
 src/ephy-link-action.c                          |  140 +-
 src/ephy-link.c                                 |  120 +-
 src/ephy-location-controller.c                  | 1205 +++--
 src/ephy-lockdown.c                             |   31 +-
 src/ephy-main.c                                 |   72 +-
 src/ephy-navigation-history-action.c            |  124 +-
 src/ephy-notebook.c                             | 1242 +++---
 src/ephy-search-provider-main.c                 |    2 +-
 src/ephy-search-provider.c                      |  179 +-
 src/ephy-session.c                              | 2160 +++++----
 src/ephy-shell.c                                |  134 +-
 src/ephy-title-box.c                            |   36 +-
 src/ephy-toolbar.c                              |   92 +-
 src/ephy-window-action.c                        |   72 +-
 src/ephy-window.c                               | 5449 +++++++++++------------
 src/passwords-dialog.c                          |  667 ++-
 src/popup-commands.c                            |  522 ++-
 src/prefs-dialog.c                              | 1916 ++++----
 src/window-commands.c                           | 2298 +++++-----
 tests/ephy-bookmarks-test.c                     |    7 +-
 tests/ephy-completion-model-test.c              |   48 +-
 tests/ephy-download-test.c                      |   18 +-
 tests/ephy-embed-shell-test.c                   |   48 +-
 tests/ephy-embed-utils-test.c                   |    4 +-
 tests/ephy-file-helpers-test.c                  |    2 +-
 tests/ephy-history-test.c                       |   64 +-
 tests/ephy-migration-test.c                     |   12 +-
 tests/ephy-session-test.c                       |  308 +-
 tests/ephy-shell-test.c                         |   48 +-
 tests/ephy-snapshot-service-test.c              |   27 +-
 tests/ephy-sqlite-test.c                        |   14 +-
 tests/ephy-test-utils.c                         |   11 +-
 tests/ephy-uri-helpers-test.c                   |    3 +-
 tests/ephy-web-view-test.c                      |  114 +-
 123 files changed, 24367 insertions(+), 26020 deletions(-)

commit 5a5e0d7cf463c14f4769de4e9a3ae9e8b38d54b4
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Mar 21 23:48:55 2016 -0500

    Add run-uncrustify script

 data/run-uncrustify | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 79c15f0bd0b4ca884026e85c9076984dcd992c4f
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Mar 21 23:04:40 2016 -0500

    Update uncrustify config
    
    Known deficiencies:
    
     * Doesn't align function prototypes properly, so it's not fit for use
       on header files yet. I don't care about prototypes in source files,
       because they should usually be eliminated by rearranging functions.
     * Leaves two spaces after "else" sometimes; I think this is a one-time
       issue, best fixed manually.

 data/kr-gnome-indent.cfg | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

commit a7f28dfbbaeb3cd89dc86cedd6ab571a8542af3e
Author: Richard Hughes <richard@hughsie.com>
Date:   Mon Mar 28 16:40:29 2016 +0100

    AppData: Mark as unremovable in GNOME Software

 data/epiphany.appdata.xml.in | 1 +
 1 file changed, 1 insertion(+)

commit e6b52f7a8381b231f3a2a86ed3c82bb8f28621fe
Author: Tiago Carrondo <tcarrondo@ubuntu.com>
Date:   Thu Mar 24 13:01:42 2016 +0000

    Updated Portuguese translation

 po/pt.po | 101 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 51 insertions(+), 50 deletions(-)

commit 553cb25bd8bdd12cb51d627f1f45a84c79d21695
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Tue Mar 22 19:47:14 2016 +0200

    Updated Ukrainian translation

 po/uk.po | 250 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 135 insertions(+), 115 deletions(-)

commit 006ae7dfe20e0c8944f4f3827fb5a47df9a8b23a
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Mar 5 14:18:09 2016 -0600

    session: Check restore-session-policy in ephy_session_save()
    
    Instead of doing it in the idle, it's better to do it here before
    scheduling the unnecessary idle. Currently it's handled in the idle
    because the idle is called manually from ephy_session_close() and this
    saves checking it in both places, but now that we need to check it in
    ephy_session_close() anyway, there's no value in doing it in the idle.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=762906

 src/ephy-session.c | 15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)

commit c1a468722df3d0408e39854aa7cd00eb17d12a42
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Mar 5 11:26:03 2016 -0600

    Activate downloads popover when adding any download
    
    Otherwise, when adding downloads after the first download, it seems like
    nothing is happening when clicking on the download link, users might
    click and click and download the same file multiple times.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=763141

 src/ephy-toolbar.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7514a4acc4cc5e6afde43d2aa70f8c1c9c417561
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Mar 5 11:25:21 2016 -0600

    Activate downloads popover when download is completed
    
    When a download is nearly finished, I find myself watching the download
    button, guessing whether the very tip of the download arrow has been
    filled in or not, opening the popover to check if it's ready... and
    repeating if I guessed wrong. Activate when a download completes to
    avoid this.
    
    Not a great final design, it'd be better for the button to glow or
    something, but it's a cheap way to tell the user that the download has
    finished.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=763141

 embed/ephy-downloads-manager.c | 10 ++++++++++
 src/ephy-toolbar.c             | 11 +++++++++++
 2 files changed, 21 insertions(+)

commit 6d5e52792b4c7c9da24506ed316531c0addc7486
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Mar 21 09:14:08 2016 -0500

    Prepare 3.20.0

 NEWS         | 6 ++++++
 configure.ac | 4 ++--
 2 files changed, 8 insertions(+), 2 deletions(-)

commit 82afa97a89916069c1f6beb0cb0da1b7b57fba56
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:   Mon Mar 21 02:35:55 2016 +0000

    Updated Japanese translation

 po/ja.po | 576 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 276 insertions(+), 300 deletions(-)

commit 94f83ddddcf605fcc52a73ffba9343cd8187658e
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:   Sun Mar 20 23:09:59 2016 +0100

    Updated Danish translation

 po/da.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit b6d398b7da27f33c9e487888bf2eaf18dc2413b6
Author: ChangSeok Oh <changseok@gnome.org>
Date:   Sun Mar 20 07:51:49 2016 +0000

    Updated Korean translation

 help/ko/ko.po | 32 ++++++++++++++++++++++----------
 1 file changed, 22 insertions(+), 10 deletions(-)

commit 17127bec1a0d7e012487725422c8ed704989cfa1
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:   Sun Mar 20 00:19:29 2016 +0100

    Updated Danish translation by scootergrisen

 po/da.po | 2657 +++++++-------------------------------------------------------
 1 file changed, 273 insertions(+), 2384 deletions(-)

commit dc34a4b7954d27a0bef1f62d8f7fdbb6b4023ab2
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Sat Mar 19 14:33:12 2016 +0100

    Correct directory name for Hungarian help images

 help/hu/figures/epiphany-3-12.png         | Bin 173335 -> 0 bytes
 help/hu/figures/private-browsing-3-12.png | Bin 69526 -> 0 bytes
 help/hu/media/epiphany-3-12.png           | Bin 0 -> 173335 bytes
 help/hu/media/private-browsing-3-12.png   | Bin 0 -> 69526 bytes
 4 files changed, 0 insertions(+), 0 deletions(-)

commit e6edcd07189ee258845b217fe8779b4e118f431a
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Sat Mar 19 14:30:07 2016 +0100

    Added Hungarian help images

 help/hu/figures/epiphany-3-12.png         | Bin 0 -> 173335 bytes
 help/hu/figures/private-browsing-3-12.png | Bin 0 -> 69526 bytes
 2 files changed, 0 insertions(+), 0 deletions(-)

commit fdb59708f1d1abfb5b74045ce9768831c2d96a38
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Sat Mar 19 14:29:54 2016 +0100

    Updated Hungarian help translation

 help/hu/hu.po | 9 +++------
 1 file changed, 3 insertions(+), 6 deletions(-)

commit 70dc9019c747466d96d9661a8c142cccdb4af48d
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Fri Mar 18 21:35:29 2016 +0000

    Updated Swedish translation

 po/sv.po | 278 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 150 insertions(+), 128 deletions(-)

commit 405ff6d8175276f416ed7bf58ecda852f4f786ac
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Fri Mar 18 10:52:13 2016 -0500

    Remove a comment that might not be true in the future
    
    Since abstract sockets are not sandboxable, D-Bus daemon might stop
    using them.

 embed/ephy-embed-shell.c | 3 ---
 1 file changed, 3 deletions(-)

commit e79c8fbf9fe1d253de7533164faf838e1c5db21b
Author: Yuri Myasoedov <ymyasoedov@yandex.ru>
Date:   Thu Mar 17 18:50:38 2016 +0300

    Updated Russian translation

 po/ru.po | 1236 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 644 insertions(+), 592 deletions(-)

commit 54f1cd043b2e3e320c0a3514b5fe5b975c8bfff8
Author: Efstathios Iosifidis <eiosifidis@gnome.org>
Date:   Thu Mar 17 11:10:43 2016 +0000

    Updated Greek translation

 help/el/el.po | 1338 ++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 809 insertions(+), 529 deletions(-)

commit a7240bb5c4910bb2d3e100fcea8911886a42bd2f
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Tue Mar 15 16:21:47 2016 +0100

    Updated Basque language

 po/eu.po | 1342 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 722 insertions(+), 620 deletions(-)

commit 69e79207ac2e161ca536af04715200b301b30925
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Mar 14 18:07:12 2016 -0500

    Prepare 3.19.92

 NEWS         | 11 +++++++++++
 configure.ac |  2 +-
 2 files changed, 12 insertions(+), 1 deletion(-)

commit f9918ad3be443059fe2b42a88c5544e7a68cd069
Author: Gianvito Cavasoli <gianvito@gmx.it>
Date:   Mon Mar 14 16:45:14 2016 +0000

    Updated Italian translation

 po/it.po | 51 +++++++++++++++++++++++++++------------------------
 1 file changed, 27 insertions(+), 24 deletions(-)

commit bef0c785a79fc145e4afe9e87bfc100b7ae36a3c
Author: ChangSeok Oh <changseok@gnome.org>
Date:   Sun Mar 13 13:28:24 2016 +0000

    Updated Korean translation

 help/ko/ko.po | 24 ++++++++++++++++++------
 1 file changed, 18 insertions(+), 6 deletions(-)

commit 4b5d612b266ca8525065901cc02041b02f21515f
Author: ChangSeok Oh <changseok@gnome.org>
Date:   Sun Mar 13 05:18:19 2016 +0000

    Updated Korean translation

 help/ko/ko.po | 595 +++++++++++++++++++++++++---------------------------------
 1 file changed, 253 insertions(+), 342 deletions(-)

commit e767a2710e8479fa06f9325af9c1ea7c8b995a57
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sat Mar 12 22:02:07 2016 +0100

    Updated Slovenian translation

 po/sl.po | 1389 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 751 insertions(+), 638 deletions(-)

commit 307dea2a7cd08d3948fbd9245d6a56a0529ba8b6
Author: Bernd Homuth <dev@hmt.im>
Date:   Sat Mar 12 12:40:11 2016 +0000

    Updated German translation

 po/de.po | 132 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 69 insertions(+), 63 deletions(-)

commit 32528f3b0f6d6c452bcd5cb75d71c8a62f9c549d
Author: Marek Černocký <marek@manet.cz>
Date:   Sat Mar 12 13:32:44 2016 +0100

    Updated Czech translation

 po/cs.po | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit b77c5568b30280e94fa67e08474b92f40c51fab8
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Feb 27 11:38:19 2016 -0600

    embed-shell: Do not drop overview thumbnail updates here either
    
    Wait for the EphyWebExtension in the web process to start listening for
    method calls before sending them. We know it's ready when it sends the
    PageCreated signal.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=758470

 embed/ephy-embed-shell.c | 55 ++++++++++++++++++++++++++++++++++++++++++++++--
 1 file changed, 53 insertions(+), 2 deletions(-)

commit e21325155df9573a65483a29c4ee8636d1c88e09
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Fri Feb 26 22:06:42 2016 -0600

    web-view: Never request snapshots when favicon is received
    
    It's too soon, it results in us getting completely white snapshots out
    of the snapshot service.
    
    This is hardly a "fix" I am proud of, but it works reliably, at least on
    my machine.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=761065

 embed/ephy-web-view.c | 9 ++-------
 1 file changed, 2 insertions(+), 7 deletions(-)

commit 59ecfd52eea922a60c755f3140757a341fda8f0e
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Feb 27 09:02:59 2016 -0600

    web-view: Do not take snapshots of error pages
    
    https://bugzilla.gnome.org/show_bug.cgi?id=761065

 embed/ephy-web-view.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit c491948e9dbae54f2c6760866bcb8d5c16772699
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Fri Feb 26 22:05:01 2016 -0600

    Add some error checking when getting snapshots
    
    https://bugzilla.gnome.org/show_bug.cgi?id=761065

 embed/ephy-about-handler.c | 7 ++++++-
 embed/ephy-web-view.c      | 7 ++++++-
 2 files changed, 12 insertions(+), 2 deletions(-)

commit 5ac5606ef8e0e91def48329f463a669e098b2778
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Mar 5 13:05:00 2016 -0600

    Improve some FIXMEs
    
     * Let's not rename downloaded files
     * g_application_get_application_id is a thing
    
    https://bugzilla.gnome.org/show_bug.cgi?id=610586

 embed/ephy-embed-shell.c | 6 +++---
 lib/ephy-file-helpers.c  | 1 -
 2 files changed, 3 insertions(+), 4 deletions(-)

commit fb3e7f4d2acf15a689161f1ea539d6d3888c2a12
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Feb 27 12:50:11 2016 -0600

    download: Browse to file if it cannot be opened
    
    Instead of failing silently in response to the user's attempts to open a
    download.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=610586

 embed/ephy-download.c | 2 ++
 1 file changed, 2 insertions(+)

commit 06ae2ed58f1f9b450f3dd46e8a551eb4df1d0cca
Author: Xabier Rodriguez Calvar <calvaris@igalia.com>
Date:   Thu Mar 10 17:48:38 2016 +0100

    Corrected nit on Galician translation

 po/gl.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 04e7811c32ba8a2c980a77aac1316b77f0969057
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Mar 5 14:26:55 2016 -0600

    session: Fix EPHY_PREFS_RESTORE_SESSION_POLICY_CRASHED
    
    We accidentally broke this when adding support for
    WebKitWebViewSessionState. Currently
    EPHY_PREFS_RESTORE_SESSION_POLICY_CRASHED is treated exactly the same as
    EPHY_PREFS_RESTORE_SESSION_POLICY_ALWAYS. The simplest way to fix this
    is to consider that, if we've made it to ephy_session_close(), then we
    have not crashed, that's a good place to delete the session file.
    Otherwise, that session file had better be saved so it can be loaded if
    we crash, ephy_session_close() is the best place to handle this.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=762906

 src/ephy-session.c | 15 ++++++++++++++-
 1 file changed, 14 insertions(+), 1 deletion(-)

commit 44e4cdbd55a3442a4eff970b18c53c1e2172636d
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Wed Mar 9 01:08:51 2016 +0000

    Updated Portuguese translation

 po/pt.po | 785 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 392 insertions(+), 393 deletions(-)

commit de3fc88bd2c6f44d9c4523b9e5c8f1142ab17302
Author: Марко М. Костић <marko.m.kostic@gmail.com>
Date:   Mon Mar 7 09:35:58 2016 +0100

    Updated Serbian translation

 po/sr.po | 197 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 108 insertions(+), 89 deletions(-)

commit 81b6d9b808c08b3ace383c3a2312257607addd9c
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sun Mar 6 20:01:05 2016 +0100

    Updated Spanish translation

 po/es.po | 51 +++++++++++++++++++++++++++------------------------
 1 file changed, 27 insertions(+), 24 deletions(-)

commit edf61eb494446e3c5b2a4070d64064d8112ac1b9
Author: Muhammet Kara <muhammetk@gmail.com>
Date:   Sun Mar 6 06:15:04 2016 +0000

    Updated Turkish translation

 po/tr.po | 555 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 298 insertions(+), 257 deletions(-)

commit df3c4fb865e4f2a491cd700ce1e1f7b5a12c6571
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sat Mar 5 21:06:39 2016 +0200

    Updated Lithuanian translation

 po/lt.po | 543 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 298 insertions(+), 245 deletions(-)

commit 366bc0035660a9cd129c70d405346ebc7256b7ea
Author: ChangSeok Oh <changseok@gnome.org>
Date:   Sat Mar 5 11:42:17 2016 +0000

    Updated Korean translation

 po/ko.po | 48 ++++++++++++++++++++++++++----------------------
 1 file changed, 26 insertions(+), 22 deletions(-)

commit b909bdcf9568ac3a54e35da44aac229eb1a80eff
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Sat Mar 5 10:20:03 2016 +0000

    Updated Kazakh translation

 po/kk.po | 657 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 346 insertions(+), 311 deletions(-)

commit 77f0f477c90e9853a5c61be4158d15dd9dcc2d0f
Author: Balázs Úr <urbalazs@gmail.com>
Date:   Fri Mar 4 18:11:16 2016 +0000

    Updated Hungarian translation

 po/hu.po | 910 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 555 insertions(+), 355 deletions(-)

commit 4072aac18168ea02c65edb5f0bda4ca954229c44
Author: ChangSeok Oh <changseok@gnome.org>
Date:   Thu Mar 3 07:22:47 2016 +0000

    Updated Korean translation

 po/ko.po | 1238 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 670 insertions(+), 568 deletions(-)

commit 512cdbd47b6f408d870e80e8c1fc6eb7ec2fcd5a
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Wed Mar 2 21:29:23 2016 +0100

    Updated Spanish translation

 po/es.po | 233 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 125 insertions(+), 108 deletions(-)

commit 93144fa3fc1b64a3d28213fe9bfc3920c5e33d7d
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:   Wed Mar 2 20:18:48 2016 +0000

    Updated Finnish translation

 po/fi.po | 454 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 243 insertions(+), 211 deletions(-)

commit 97ae8ffac74d7a34ad746d2f32dfee4f5c848ae9
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Wed Mar 2 13:24:05 2016 +0200

    Updated Hebrew translation

 po/he.po | 1154 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 613 insertions(+), 541 deletions(-)

commit f79266097ac716c57b3bc670528af82e6f60fc18
Author: Efstathios Iosifidis <eiosifidis@gnome.org>
Date:   Tue Mar 1 23:08:32 2016 +0000

    Updated Greek translation

 po/el.po | 26 +++++++++++++-------------
 1 file changed, 13 insertions(+), 13 deletions(-)

commit 18378af7c961b474f77d777be1964fb5a8ba05a3
Author: Rafael Fontenelle <rffontenelle@gmail.com>
Date:   Tue Mar 1 21:25:19 2016 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 52 ++++++++++++++++++++++++++++------------------------
 1 file changed, 28 insertions(+), 24 deletions(-)

commit 427f0dde5e9288cd5616fef35296165f5a2329a8
Author: Fran Dieguez <fran.dieguez@mabishu.com>
Date:   Tue Mar 1 22:20:31 2016 +0100

    Updated Galician translations

 po/gl.po | 188 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 104 insertions(+), 84 deletions(-)

commit 98320a6e6ec941a9d3de7b834f5343ebf675646d
Author: Guillaume Bernard <contact.guib@laposte.net>
Date:   Tue Mar 1 20:19:52 2016 +0000

    Updated French translation

 po/fr.po | 50 +++++++++++++++++++++++++++-----------------------
 1 file changed, 27 insertions(+), 23 deletions(-)

commit bf7999116a3ea356f33809e9ec79a8ecce363cfc
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Tue Mar 1 19:16:42 2016 +0000

    Updated Slovak translation

 po/sk.po | 348 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 184 insertions(+), 164 deletions(-)

commit 1e4aae9c3b75709e8feb319e0a9f3c821bc4fbc2
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Tue Mar 1 20:51:49 2016 +0200

    Update Latvian translation

 po/lv.po | 441 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 227 insertions(+), 214 deletions(-)

commit f7ee579991074b8e3908b8250b5bdc1f002af710
Author: Tom Tryfonidis <tomtryf@gnome.org>
Date:   Tue Mar 1 17:51:07 2016 +0000

    Updated Greek translation

 po/el.po | 1192 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 638 insertions(+), 554 deletions(-)

commit 3e66bc83d562502d4a1c43e5699f135ddfc58ac4
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Tue Mar 1 08:17:21 2016 +0100

    downloads: Ensure we always fallback to package icon
    
    If the icon for the given content type and its fallbacks are not found
    in the theme, GtkImage uses the missing icon. We want to always fallback
    to package icon instead, so ensure it be appending it to the list of
    icons names used.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=762825

 lib/widgets/ephy-download-widget.c | 13 +++++++++++--
 1 file changed, 11 insertions(+), 2 deletions(-)

commit 8c13d99177a1bc259a369b2fa84f8dabc5d223c1
Author: Marek Černocký <marek@manet.cz>
Date:   Tue Mar 1 10:12:22 2016 +0100

    Updated Czech translation

 po/cs.po | 39 +++++++++++++++++++++------------------
 1 file changed, 21 insertions(+), 18 deletions(-)

commit f556b0be1ef4c1ce96dfd63ceed1b0fdcf38c79f
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Feb 29 18:33:51 2016 -0600

    Updated TODO

 TODO | 2 --
 1 file changed, 2 deletions(-)

commit fc807cd800364813f99edb08b167713339c8ab01
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Feb 29 18:33:22 2016 -0600

    build: Don't check for glib-genmarshal
    
    Not sure how long it's been since we used this

 configure.ac | 1 -
 1 file changed, 1 deletion(-)

commit 89908b029b45d5b0743456a1283dfe0c4bd2393a
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Feb 29 18:31:13 2016 -0600

    Stop manually specifying signal marshallers
    
    This is deprecated. Remove the remaining usages.

 embed/ephy-downloads-manager.c      |  9 +++------
 lib/history/ephy-history-service.c  | 15 +++++----------
 lib/widgets/ephy-zoom-action.c      |  3 +--
 lib/widgets/nautilus-floating-bar.c |  3 +--
 src/ephy-link.c                     |  2 +-
 src/ephy-title-box.c                |  3 +--
 6 files changed, 12 insertions(+), 23 deletions(-)

commit 551a1f7b0070ecc5f5135e2daddd13f8eb1eab5b
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Feb 29 17:43:56 2016 -0600

    Prepare 3.19.91

 NEWS         | 20 ++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 21 insertions(+), 1 deletion(-)

commit 27fdc93acaf11f7709fccbce40a6fd6756177e95
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Fri Feb 26 21:05:41 2016 -0600

    file-helpers: convert profile_dir to absolute path
    
    When Epiphany is run with --profile and a relative path to the profile
    dir, it mostly works fine, with the exception of a bunch of criticals
    coming from EphyUriTester. Fix it here so the rest of the code doesn't
    have to worry about relative paths.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=762762

 lib/ephy-file-helpers.c | 14 ++++++++++++--
 1 file changed, 12 insertions(+), 2 deletions(-)

commit 97e761cb1a2cc497d295efe425d52af4a43afc2a
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Feb 29 22:52:44 2016 +0100

    Updated Polish translation

 po/pl.po | 30 +++++++++++++++++-------------
 1 file changed, 17 insertions(+), 13 deletions(-)

commit 63fd0aa3e06b6c69ef78e0189577dc1f487c58e6
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Feb 27 22:17:20 2016 -0600

    Improve the overview's empty state
    
    Not gonna admit how long it took me to figure out how to do this. This
    "CSS" thing....
    
    https://bugzilla.gnome.org/show_bug.cgi?id=762812

 embed/ephy-about-handler.c | 114 +++++++++++++++++++++++----------------------
 src/resources/about.css    |  17 +++++--
 2 files changed, 72 insertions(+), 59 deletions(-)

commit 588589638e0f7bfd75bec7d4a884ad25ee24e8ae
Author: Justin van Steijn <justin50@live.nl>
Date:   Mon Feb 29 17:51:01 2016 +0100

    Updated Dutch translation Master 3.20

 po/nl.po | 300 ++++++++++++++++++++++++++-------------------------------------
 1 file changed, 123 insertions(+), 177 deletions(-)

commit 59abfb6b3dd6dc680e81e8b5d376c96282e00e52
Author: Marek Černocký <marek@manet.cz>
Date:   Mon Feb 29 15:50:08 2016 +0100

    Updated Czech translation

 po/cs.po | 38 +++++++++++++++++++++-----------------
 1 file changed, 21 insertions(+), 17 deletions(-)

commit f1f1792441746df5e2fbf0bb01c6d0cf4dc6f5ab
Author: Gianvito Cavasoli <gianvito@gmx.it>
Date:   Mon Feb 29 12:31:00 2016 +0000

    Updated Italian translation

 po/it.po | 225 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 107 insertions(+), 118 deletions(-)

commit 71678e3a3c40dcea51168da4572394b0d6068da2
Author: Rafael Fontenelle <rffontenelle@gmail.com>
Date:   Mon Feb 29 07:21:06 2016 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 682 +++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 448 insertions(+), 234 deletions(-)

commit 997e94d908fde79e8ce22ebde23c8dbd73f246ad
Author: Artur de Aquino Morais <aamorais93.estudos@gmail.com>
Date:   Mon Feb 29 04:57:22 2016 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 115 +++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 59 insertions(+), 56 deletions(-)

commit 8270232ef84b69f278ed2173f792ca4390ec2048
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Mon Feb 29 13:45:43 2016 +0900

    Revert po/ko.po which was incorrectly replacedd with help PO
    
    Move it to help/ko/ko.po
    
    This reverts commit 1bc880bf086d791aa8bd8b273f9edb5f4966e9f8.

 help/ko/ko.po |   69 +-
 po/ko.po      | 4036 ++++++++++++++++++++++++++++++++++++---------------------
 2 files changed, 2617 insertions(+), 1488 deletions(-)

commit 3b34c0dfd8bb5e2d145225524557c0e36dc56018
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Feb 29 00:37:45 2016 +0100

    Updated Polish translation

 po/pl.po | 107 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 55 insertions(+), 52 deletions(-)

commit f9905a27766c20f168d7ed80d9b6b5bf5ea19593
Author: Guillaume Bernard <contact.guib@laposte.net>
Date:   Sun Feb 28 19:24:49 2016 +0000

    Updated French translation

 po/fr.po | 448 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 241 insertions(+), 207 deletions(-)

commit f998feb9aaa3c84d7fc4efd936979948a4d66477
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:   Sun Feb 28 19:34:56 2016 +0100

    Updated German translation

 po/de.po | 236 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 126 insertions(+), 110 deletions(-)

commit c0d9dd344230bb4c9f784b59c82630cbe7d35e0a
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sun Feb 28 11:37:42 2016 -0600

    Improve reload buttons on error pages
    
    * Fix translation of the access keys
    * Get rid of "Anyway" as Jakub doesn't like it
    * Use "opinionated design" for the TLS error page bypass
    
    https://bugzilla.gnome.org/show_bug.cgi?id=747973

 embed/ephy-web-view.c | 24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

commit 6b187efa23c883da05451f69cdf141309ec1aed4
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sun Feb 28 16:43:00 2016 +0100

    Updated Norwegian bokmål translation.

 po/nb.po | 134 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 69 insertions(+), 65 deletions(-)

commit 7c8612d01aae12fc8defa84333d9e6e58e88752a
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sun Feb 28 15:45:35 2016 +0100

    Updated Norwegian bokmål translation.

 po/nb.po | 502 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 264 insertions(+), 238 deletions(-)

commit d7da1e292a85882c3dbaa3a9a13c70dce7a9287b
Author: Marek Černocký <marek@manet.cz>
Date:   Sun Feb 28 09:44:52 2016 +0100

    Updated Czech translation

 po/cs.po | 106 ++++++++++++++++++++++++++++-----------------------------------
 1 file changed, 47 insertions(+), 59 deletions(-)

commit 671d85f3fdb5de940f8074d31fa6d75fe8afc847
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Feb 27 17:09:06 2016 -0600

    window: Finish the G_DECLARE_FINAL_TYPE project

 src/ephy-window.c | 506 ++++++++++++++++++++++++------------------------------
 src/ephy-window.h |  28 +--
 2 files changed, 226 insertions(+), 308 deletions(-)

commit d7dbeef10f25192364ee3e972f1c82ca4a65d94e
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Feb 27 16:58:28 2016 -0600

    prefs-dialog: Use G_DECLARE_FINAL_TYPE

 src/prefs-dialog.c | 211 ++++++++++++++++++++++++++---------------------------
 src/prefs-dialog.h |  26 +------
 2 files changed, 105 insertions(+), 132 deletions(-)

commit 1a451660bb6d3971ee1de7ffa43c5c1535db565c
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Feb 27 16:54:29 2016 -0600

    toolbar: Use G_DECLARE_FINAL_TYPE

 src/ephy-toolbar.c | 104 +++++++++++++++++++++++++----------------------------
 src/ephy-toolbar.h |  24 ++-----------
 2 files changed, 50 insertions(+), 78 deletions(-)

commit 237072b85c0e6dd42fcd079add3041cf98983089
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Feb 27 16:49:01 2016 -0600

    title-box: Use G_DECLARE_FINAL_TYPE

 src/ephy-title-box.c | 205 ++++++++++++++++++++++-----------------------------
 src/ephy-title-box.h |  23 +-----
 2 files changed, 90 insertions(+), 138 deletions(-)

commit 23085899a15e71a98b5b156dc8b7c6ca11d8a687
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Feb 27 16:43:53 2016 -0600

    shell: Use G_DECLARE_FINAL_TYPE

 src/ephy-shell.c | 120 ++++++++++++++++++++++++++-----------------------------
 src/ephy-shell.h |  24 +----------
 2 files changed, 58 insertions(+), 86 deletions(-)

commit 9ba8ce5f6a4b212933ae8f4f5fc55ec4ead1d311
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Feb 27 16:40:03 2016 -0600

    session: Use G_DECLARE_FINAL_TYPE

 src/ephy-session.c | 92 ++++++++++++++++++++++--------------------------------
 src/ephy-session.h | 26 ++-------------
 2 files changed, 40 insertions(+), 78 deletions(-)

commit 06c7e896f9a0a877d47e8f755ea9b05a167d2a17
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Feb 27 16:37:04 2016 -0600

    search-provider: Use G_DECLARE_FINAL_TYPE

 src/ephy-search-provider.c |  2 +-
 src/ephy-search-provider.h | 11 +----------
 2 files changed, 2 insertions(+), 11 deletions(-)

commit 80d8659d574122205fa8a3bfe0ddc45e2e96a5cc
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Feb 27 16:35:36 2016 -0600

    notebook: Use G_DECLARE_FINAL_TYPE

 src/ephy-notebook.c | 46 ++++++++++++++++------------------------------
 src/ephy-notebook.h | 30 ++----------------------------
 src/ephy-session.c  |  2 +-
 3 files changed, 19 insertions(+), 59 deletions(-)

commit fe1a422b1575bb99690c7bb817c58be421b8e898
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Feb 27 16:29:49 2016 -0600

    lockdown: Use G_DECLARE_FINAL_TYPE

 src/ephy-lockdown.c |  9 +++++++--
 src/ephy-lockdown.h | 26 ++------------------------
 2 files changed, 9 insertions(+), 26 deletions(-)

commit fcf0dc6db69b064457115076586f8b14a24ebbeb
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Feb 27 16:27:17 2016 -0600

    location-controller: Use G_DECLARE_FINAL_TYPE

 src/ephy-location-controller.c | 187 +++++++++++++++++------------------------
 src/ephy-location-controller.h |  31 +------
 2 files changed, 81 insertions(+), 137 deletions(-)

commit 6b2e00cd756dad7e80f679a7ceb25dd19e08c3ed
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Feb 27 16:13:48 2016 -0600

    link: Use G_DEFINE_INTERFACE

 src/ephy-link.c | 81 +++++++++++++++++++--------------------------------------
 1 file changed, 27 insertions(+), 54 deletions(-)

commit db8c20923637d1b70f860195230dc5861e3db17f
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Feb 27 16:07:53 2016 -0600

    link: Use G_DECLARE_INTERFACE

 src/ephy-link.c   |  4 ++--
 src/ephy-link.h   | 14 +++-----------
 src/ephy-window.c |  2 +-
 3 files changed, 6 insertions(+), 14 deletions(-)

commit 9986da997e9269ebe9cc7c9a20e9bfcc0bd6117a
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Feb 27 15:59:31 2016 -0600

    history-window: Use G_DECLARE_FINAL_TYPE

 src/ephy-history-window.c | 189 +++++++++++++++++++++++-----------------------
 src/ephy-history-window.h |  24 +-----
 2 files changed, 97 insertions(+), 116 deletions(-)

commit 0f11ee62e0c2d581b042026373a235a95be15e52
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Feb 27 15:54:15 2016 -0600

    completion-model: Use G_DECLARE_FINAL_TYPE

 src/ephy-completion-model.c | 71 ++++++++++++++++++++-------------------------
 src/ephy-completion-model.h | 24 ++-------------
 2 files changed, 33 insertions(+), 62 deletions(-)

commit 37efb51da3993ba7e0aae1d0aa5019a01a63aed7
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Feb 27 15:50:57 2016 -0600

    clear-data-dialog: Use G_DECLARE_FINAL_TYPE

 src/clear-data-dialog.c | 39 +++++++++++++++++++--------------------
 src/clear-data-dialog.h | 26 ++------------------------
 2 files changed, 21 insertions(+), 44 deletions(-)

commit 89cea20524bad21d15453fc3a6d5effa7d5f5baf
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Feb 27 15:26:19 2016 -0600

    bookmarks-editor: Use G_DECLARE_FINAL_TYPE

 src/bookmarks/ephy-bookmarks-editor.c | 210 +++++++++++++++++-----------------
 src/bookmarks/ephy-bookmarks-editor.h |  24 +---
 2 files changed, 105 insertions(+), 129 deletions(-)

commit 8c03606916514d8f501f349ffc693bafca27d701
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Feb 27 15:20:49 2016 -0600

    bookmarks: Use G_DECLARE_FINAL_TYPE

 src/bookmarks/ephy-bookmarks.c | 293 +++++++++++++++++++----------------------
 src/bookmarks/ephy-bookmarks.h |  26 +---
 2 files changed, 139 insertions(+), 180 deletions(-)

commit 9e180d65fbe3a97c135c6482ab5118a99b5e78f0
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Feb 27 15:12:06 2016 -0600

    bookmarks: Remove unneeded virtual signal
    
    And the marshaller specification.

 src/bookmarks/ephy-bookmarks.c | 4 +---
 src/bookmarks/ephy-bookmarks.h | 2 --
 2 files changed, 1 insertion(+), 5 deletions(-)

commit f9f4720ea3690b603eef633e18171aa82f19922b
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Feb 27 15:11:26 2016 -0600

    bookmarks: Remove unneeded resolve-address signal

 src/bookmarks/ephy-bookmarks.c | 44 +++++++-----------------------------------
 src/bookmarks/ephy-bookmarks.h |  3 ---
 2 files changed, 7 insertions(+), 40 deletions(-)

commit b49195e90262b004c3639e92c3c4c007c3c56fe9
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Feb 27 15:03:28 2016 -0600

    node-filter: Use G_DECLARE_FINAL_TYPE

 lib/ephy-node-filter.c | 32 ++++++++++++++------------------
 lib/ephy-node-filter.h | 24 ++----------------------
 2 files changed, 16 insertions(+), 40 deletions(-)

commit e3762f40a2837886604d6a0c6ebdf26d04b406e0
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Feb 27 15:01:09 2016 -0600

    node-filter: Remove unneeded virtual signal
    
    And don't specify the marshaller manually.

 lib/ephy-node-filter.c | 4 +---
 lib/ephy-node-filter.h | 2 --
 2 files changed, 1 insertion(+), 5 deletions(-)

commit 16fe11228a56f700df6463700e6343be31b328fe
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Feb 27 15:00:39 2016 -0600

    node-filter: Use G_DEFINE_TYPE

 lib/ephy-node-filter.c | 36 ++----------------------------------
 1 file changed, 2 insertions(+), 34 deletions(-)

commit 25b20b4ff20a63cdc6ea4743e05d5857778a5aeb
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Feb 27 14:52:48 2016 -0600

    node-db: Use G_DECLARE_FINAL_TYPE

 lib/ephy-node-db.c | 56 ++++++++++++++++++++++++------------------------------
 lib/ephy-node-db.h | 28 +++------------------------
 2 files changed, 28 insertions(+), 56 deletions(-)

commit 943bc2356af5981da2a5c9acc47dc2affb8ddb39
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Feb 27 14:49:59 2016 -0600

    node-db: Use G_DEFINE_TYPE

 lib/ephy-node-db.c | 34 ++--------------------------------
 1 file changed, 2 insertions(+), 32 deletions(-)

commit b043cb044f4cee11496621411fa68c321cd3fce4
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Feb 27 21:19:22 2016 +0100

    Updated Polish translation

 po/pl.po | 115 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 55 insertions(+), 60 deletions(-)

commit 0fd589c8971ef62abd04b7c796b63eed8415b65e
Author: Iulian Radu <iulian.radu67@gmail.com>
Date:   Sat Feb 20 15:33:14 2016 +0200

    downloads-popover: Fix visual and layout issues
    
    The complete list of issues and solutions can be found
    in the bug report.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=761857

 lib/widgets/ephy-download-widget.c   | 36 +++++++++++++------------
 lib/widgets/ephy-downloads-popover.c | 52 ++++++++++++++++--------------------
 2 files changed, 42 insertions(+), 46 deletions(-)

commit cb048f1faa673cf4002d9b8d69cbfaa4f274cab2
Author: Iulian Radu <iulian.radu67@gmail.com>
Date:   Thu Feb 25 12:42:41 2016 +0200

    downloads-popover: Disappear more smoothly
    
    If the last download is being removed, hide the popover before
    destroying the last containing widget to avoid visual glitch.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=761857

 lib/widgets/ephy-downloads-popover.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit edfd6c451ecb20e1e03ad2be32fea49bf5b6e11a
Author: Iulian Radu <iulian.radu67@gmail.com>
Date:   Thu Feb 25 12:34:56 2016 +0200

    downloads-popover: Fix GtkListBoxRow not being destroyed
    
    When a download was removed (with the clear button or the remove button),
    the corresponding GtkListBoxRow containing the download widget was not
    removed.
    
    Remove the parent GtkListBoxRow containing the download widget.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=761857

 lib/widgets/ephy-downloads-popover.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 5ae81acb7b80b422909e702d6ff45fac8019e274
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Feb 27 12:25:40 2016 -0600

    download: Add missing parens

 embed/ephy-download.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0ecf17d1ffb1a8f9f37a6cc044d4df90093fe4ac
Author: Marek Černocký <marek@manet.cz>
Date:   Sat Feb 27 12:52:27 2016 +0100

    Updated Czech translation

 po/cs.po | 598 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 313 insertions(+), 285 deletions(-)

commit 4b74f70b7b9154b1824e3f8856dcf5a0363bacdc
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Fri Feb 26 16:23:25 2016 -0600

    Add comments for other failing tests

 tests/Makefile.am | 5 +++++
 1 file changed, 5 insertions(+)

commit 24b232f478f7348654338a6869383cdf912a1149
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Fri Feb 26 16:22:27 2016 -0600

    Disable ephy-snapshot-service-test

 tests/Makefile.am | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 18ad3176a09e8bbcf6691d0cf03f64bcb61aba1d
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Fri Feb 26 11:45:32 2016 -0600

    ephy-snapshot-service-test: Do not succeed when there is an error
    
    Seems it's impossible for this test to ever fail? It's printing tons of
    errors, yet still passing. Fix this to ensure the test fails properly.
    
    I haven't investigated why it's failing; we might need to disable it.

 tests/ephy-snapshot-service-test.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 25df8678f43c26f990b07a758516585a91811df6
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Thu Feb 25 21:35:15 2016 -0600

    title-box: Do not propagate button press events in title mode
    
    This is a speculative fix for the problem where clicking at just the
    right spot in the header bar opens the security popover via the security
    indicator in the hidden location entry. I haven't found any good way to
    reproduce this problem, unfortunately, but it happens regularly and I
    think there's a good chance this will fix it.
    
    This works because there's nothing inside the title box that users
    should be allowed to click on when in title mode, except for the
    security indicator, which is handled in this very function.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=744307

 src/ephy-title-box.c | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit aa22f74c39e0276ed5800620632e23b13ac97bb0
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Wed Feb 24 17:21:16 2016 -0600

    downloads-manager: Don't assert on failure to acquire session inhibitor
    
    This can happen if gnome-session is broken, or when running outside of
    GNOME.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=762651

 embed/ephy-downloads-manager.c | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

commit 36bf0375cfab02f1dc51758b8217a0807742db85
Author: Iulian Radu <iulian.radu67@gmail.com>
Date:   Wed Feb 17 19:12:57 2016 +0200

    cookie-dialog.ui: Show a minus sign instead of the "Remove" label
    
    After a visual refresh of the dialog, the label was conflicting with
    the image resulting in only the label being displayed. The decision was
    that we should only show the image (a minus sign).
    
    https://bugzilla.gnome.org/show_bug.cgi?id=757230

 src/resources/cookies-dialog.ui | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 399d4699cd639fae679d5e646b5700b4f81c9ee0
Author: Iulian Radu <iulian.radu67@gmail.com>
Date:   Thu Feb 18 18:17:25 2016 +0200

    Assign key binding for the help dialog
    
    https://bugzilla.gnome.org/show_bug.cgi?id=762041

 src/ephy-window.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fe3b8ab77b463fb3ee789c2197a0c7c5de0810c9
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Tue Feb 23 19:53:52 2016 +0200

    Always do case-insensitive search
    
    https://bugzilla.gnome.org/show_bug.cgi?id=722019

 embed/ephy-find-toolbar.c | 21 +--------------------
 1 file changed, 1 insertion(+), 20 deletions(-)

commit 33a5e04066d5f0a3926873db856e315e934a9ae4
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Wed Feb 24 01:22:49 2016 +0200

    Focus the new tab when opening a page from history
    
    https://bugzilla.gnome.org/show_bug.cgi?id=762381

 src/ephy-history-window.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 1d987830127f42ab6a93fe031f84027606e2b324
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Mon Feb 22 11:44:42 2016 +0100

    ephy-session: Save the pending API request URL if EphyWebView address is about:blank
    
    EphyWebView address is NULL (returned as about:blank) between the
    load_url() and the WEBKIT_LOAD_STARTED event, but WebKitWebView knows
    the pending API request URL. So use that to prevent losing the URL if
    the browser is closed before the WEBKIT_LOAD_STARTED event. This usually
    happens when the UI process crashes early, right after the session is
    loaded but before restored pages have started loading.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=747860

 src/ephy-session.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit fea9bea5b2a6faaa87c60f0293a943118430a4bc
Author: Fran Dieguez <fran.dieguez@mabishu.com>
Date:   Wed Feb 24 15:01:29 2016 +0100

    Updated Galician translations

 po/gl.po | 1218 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 655 insertions(+), 563 deletions(-)

commit c0ecb3c1466700290b4203bae1bead7c723f6080
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Wed Feb 24 12:57:54 2016 +0200

    Updated Ukrainian translation

 po/uk.po | 1312 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 700 insertions(+), 612 deletions(-)

commit c445257a106bd6f740247f8b7fcd672e6123ff49
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:   Tue Feb 23 18:43:14 2016 +0000

    Updated Occitan translation

 po/oc.po | 337 ++++++++++++++++++++++++++-------------------------------------
 1 file changed, 138 insertions(+), 199 deletions(-)

commit d5681ea7dd3607ff21341cc12e04ba058edfe164
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:   Tue Feb 23 17:33:03 2016 +0000

    Updated Occitan translation

 po/oc.po | 4331 +++++++++++++++++++++++++++++---------------------------------
 1 file changed, 2046 insertions(+), 2285 deletions(-)

commit b680825fede6be5054f7dd381d1769b968ad1e8b
Author: Милош Поповић <gpopac@gmail.com>
Date:   Mon Feb 22 20:45:44 2016 +0000

    Updated Serbian Latin translation

 po/sr@latin.po | 610 ++++++++++++++++++++++++++++-----------------------------
 1 file changed, 300 insertions(+), 310 deletions(-)

commit f286f98462b891b50305e00ff92764c180a74f35
Author: Милош Поповић <gpopac@gmail.com>
Date:   Mon Feb 22 20:44:46 2016 +0000

    Updated Serbian translation

 po/sr.po | 656 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 323 insertions(+), 333 deletions(-)

commit 21a50e23f86a09547bf9e50f1a4827d0cc8c49a9
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Feb 8 17:00:46 2016 -0600

    session: pages loading during normal shutdown did not crash
    
    Currently we consider any page loading when Epiphany quits to have
    crashed. Instead, we should only consider it crashed if Epiphany did not
    shut down cleanly, or if it was really a crash error page.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=761735

 src/ephy-session.c | 45 ++++++++++++++++++++++++++++++++++-----------
 1 file changed, 34 insertions(+), 11 deletions(-)

commit bc3579edfcaf73121a2c286a8338acd3ac590f56
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Feb 8 17:00:32 2016 -0600

    web-view: Add accessor to get current error page
    
    https://bugzilla.gnome.org/show_bug.cgi?id=761735

 embed/ephy-web-view.c | 31 ++++++++++++++++++++++++++++---
 embed/ephy-web-view.h |  3 ++-
 2 files changed, 30 insertions(+), 4 deletions(-)

commit ecf7e253a75b0c2e51ade8b590911a1435f72c7c
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sun Feb 21 22:59:56 2016 -0600

    smaps: Use G_DECLARE_FINAL_TYPE

 lib/ephy-smaps.c | 32 ++++++++++++++------------------
 lib/ephy-smaps.h | 21 ++-------------------
 2 files changed, 16 insertions(+), 37 deletions(-)

commit 9a4b4fba92d5f0d783bee405763665a4425d07c4
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sun Feb 21 22:59:42 2016 -0600

    snapshot-service: Use G_DECLARE_FINAL_TYPE

 lib/ephy-snapshot-service.c | 33 +++++++++++++++------------------
 lib/ephy-snapshot-service.h | 27 +++------------------------
 2 files changed, 18 insertions(+), 42 deletions(-)

commit 846fb0468fc58b8e5937e5d5d6bf0734b0363146
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sun Feb 21 22:40:11 2016 -0600

    sqlite-connection: Use G_DECLARE_FINAL_TYPE

 lib/ephy-sqlite-connection.c | 39 +++++++++++++++------------------------
 lib/ephy-sqlite-connection.h | 25 ++-----------------------
 2 files changed, 17 insertions(+), 47 deletions(-)

commit 398f6bbe2faea556a69ea9ac3a9be11a702bc435
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sun Feb 21 22:37:40 2016 -0600

    sqlite-statement: Use G_DECLARE_FINAL_TYPE

 lib/ephy-sqlite-statement.c | 77 ++++++++++++++++++++++-----------------------
 lib/ephy-sqlite-statement.h | 25 ++-------------
 2 files changed, 39 insertions(+), 63 deletions(-)

commit 7e48cb2a15f0e7344e9dcc0556379c7fcb9a1cce
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Sun Feb 21 21:09:32 2016 +0000

    Updated Swedish translation

 po/sv.po | 709 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 374 insertions(+), 335 deletions(-)

commit 3e192c7590b9d4a8241c9ae8c63aae1bd3accb64
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Feb 20 13:29:20 2016 -0600

    embed: set title properly when empty
    
    Otherwise notebook tabs' labels don't get updated when navigating to a
    page without a title (e.g. a text file).
    
    The problem here is we were checking for NULL titles, but not for
    zero-length titles.

 embed/ephy-embed.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 5d2e828015d40f30b6732260b90c61cea46d3275
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Feb 20 12:34:15 2016 -0600

    downloads-progress-icon: Fix icon fill color

 lib/widgets/ephy-downloads-progress-icon.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit dfb699c8b3c324f4708703ebfc426bd54798cb20
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Sat Feb 20 09:44:50 2016 +0100

    Updated Serbian translation

 po/sr.po       | 1346 ++++++++++++++++++++++++++++++--------------------------
 po/sr@latin.po | 1346 ++++++++++++++++++++++++++++++--------------------------
 2 files changed, 1442 insertions(+), 1250 deletions(-)

commit 9f30d37a39cdaf55ef97a53a4b4e6cad089aa898
Author: Gianvito Cavasoli <gianvito@gmx.it>
Date:   Fri Feb 19 00:25:44 2016 +0000

    Updated Italian translation

 po/it.po | 1315 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 695 insertions(+), 620 deletions(-)

commit e64366dcaf21d4a77c6590f1a84f787c806abe5c
Author: Artur de Aquino Morais <aamorais93.estudos@gmail.com>
Date:   Thu Feb 18 06:13:20 2016 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 714 ++++++++++++++++++++++--------------------------------------
 1 file changed, 257 insertions(+), 457 deletions(-)

commit 1398dd81acdf828285110f572bb70c8449f730a9
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Tue Feb 16 18:45:51 2016 +0100

    Updated Spanish translation

 po/es.po | 287 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 148 insertions(+), 139 deletions(-)

commit 0ab7d1473bb28b33a0c6a9684a6f16b4b7810d23
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:   Mon Feb 15 19:53:44 2016 +0100

    Updated German translation

 po/de.po | 168 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 84 insertions(+), 84 deletions(-)

commit 3135f7544e18c11f226b880e7146a637595c2945
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Feb 15 11:31:12 2016 -0600

    Really stop using DISTCHECK_CONFIGURE_FLAGS

 Makefile.am      | 1 +
 data/Makefile.am | 2 --
 2 files changed, 1 insertion(+), 2 deletions(-)

commit 0342bd3f4dc2725856a95e2f47df87582ccf311e
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Feb 15 10:24:42 2016 -0600

    Prepare 3.19.90

 NEWS         | 32 ++++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 33 insertions(+), 1 deletion(-)

commit bf24956ddb9f85c714f2455a054416e5053b0714
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Feb 14 18:55:51 2016 +0100

    Updated Polish translation

 po/pl.po | 303 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 158 insertions(+), 145 deletions(-)

commit 1d7f96715973d405168155c30cc4cc60c0ca0775
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Feb 14 18:54:50 2016 +0100

    appdata: Fix GNOME Web spelling

 data/epiphany.appdata.xml.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit eea738c10f632edc45f5fd7cc8049300f6a5ab05
Author: Reinout van Schouwen <reinouts@gnome.org>
Date:   Sun Feb 14 17:09:06 2016 +0100

    Updated Dutch translation by Reinout van Schouwen

 po/nl.po | 1399 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 751 insertions(+), 648 deletions(-)

commit 965fbf4dc35edb2098bbfcc1191915a184664876
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sat Feb 13 18:53:21 2016 +0100

    Updated Spanish translation

 po/es.po | 20 ++++++++++++--------
 1 file changed, 12 insertions(+), 8 deletions(-)

commit 1bc2b8428941549fb903a7bfe929fd2050a81422
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Sat Feb 13 05:27:17 2016 +0000

    Updated Chinese (Taiwan) translation

 po/zh_TW.po | 1208 ++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 648 insertions(+), 560 deletions(-)

commit cee124e51dc7d46ced9b911f81eb47ae10885e4d
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Wed Feb 10 14:31:29 2016 -0600

    tree-model-sort: Use G_DECLARE_FINAL_TYPE

 lib/widgets/ephy-tree-model-sort.c | 29 ++++++++++++-----------------
 lib/widgets/ephy-tree-model-sort.h | 28 +++-------------------------
 2 files changed, 15 insertions(+), 42 deletions(-)

commit 13f48591b83919cb9248f7d1da71e9c0e74ffdca
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Wed Feb 10 14:28:51 2016 -0600

    tree-model-sort: Remove unused function pointer from class struct
    
    It's not even backed by a signal; wonder what this was ever for....

 lib/widgets/ephy-tree-model-sort.h | 2 --
 1 file changed, 2 deletions(-)

commit 969e769b00147ac13b9f5e436e358ba38a94ef6e
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Wed Feb 10 14:24:53 2016 -0600

    tree-model-sort: Use G_DEFINE_TYPE_WITH_CODE

 lib/widgets/ephy-tree-model-sort.c | 52 +++++---------------------------------
 1 file changed, 6 insertions(+), 46 deletions(-)

commit c4d62d19131f5df1129eb8ab11a3f7f58948ef49
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Wed Feb 10 14:21:27 2016 -0600

    tree-model-node: Use G_DECLARE_FINAL_TYPE

 lib/widgets/ephy-tree-model-node.c | 95 ++++++++++++++++++--------------------
 lib/widgets/ephy-tree-model-node.h | 28 ++---------
 2 files changed, 48 insertions(+), 75 deletions(-)

commit 84db8626610af21f0316e6aa4ab2d16d4eefd8c1
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Wed Feb 10 14:16:27 2016 -0600

    tree-model-node: Use G_DEFINE_TYPE_WITH_CODE

 lib/widgets/ephy-tree-model-node.c | 53 +++++---------------------------------
 1 file changed, 6 insertions(+), 47 deletions(-)

commit 9738979c232581c63ad2b6790c259d68bab296e2
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Tue Feb 9 13:37:47 2016 -0600

    web-view: Remove loading-homepage signal
    
    Nothing connects to it. Also, we don't have homepages anymore.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=755585

 embed/ephy-web-view.c | 16 ----------------
 1 file changed, 16 deletions(-)

commit 0c5dec3779df17abbfbeac4ced1f15e2db3a888a
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Tue Feb 9 13:37:17 2016 -0600

    web-view: Remove new-document-now signal
    
    Nothing connects to it
    
    https://bugzilla.gnome.org/show_bug.cgi?id=755585

 embed/ephy-web-view.c | 19 -------------------
 1 file changed, 19 deletions(-)

commit ea93a62712be6812f055f5522b2a91c3f11acf84
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Tue Feb 9 13:34:21 2016 -0600

    web-view: Remove ge_modal_alert signal
    
    It's connected to, but never emitted
    
    https://bugzilla.gnome.org/show_bug.cgi?id=755585

 embed/ephy-web-view.c | 16 ----------------
 src/ephy-window.c     | 27 ---------------------------
 2 files changed, 43 deletions(-)

commit 4ee64399acc82d134ec7d012ff2dae4ce69e1d90
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Tue Feb 9 13:32:21 2016 -0600

    web-view: Remove ge_popups_blocked signal
    
    It's connected to, but never emitted
    
    https://bugzilla.gnome.org/show_bug.cgi?id=755585

 embed/ephy-web-view.c | 33 ---------------------------------
 1 file changed, 33 deletions(-)

commit 5b662da13daf4ef48621fdb686cb7e7bd5197097
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Tue Feb 9 13:30:07 2016 -0600

    web-view: Fix a typo
    
    https://bugzilla.gnome.org/show_bug.cgi?id=755585

 embed/ephy-web-view.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c78ab6fda34c46ef04d38f25ecde1cf738a925c0
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Tue Feb 9 13:29:52 2016 -0600

    web-view: Remove signals that are never emitted or connected to
    
    https://bugzilla.gnome.org/show_bug.cgi?id=755585

 embed/ephy-web-view.c | 66 ---------------------------------------------------
 1 file changed, 66 deletions(-)

commit 38fd646791c0d92f9ebe5c98f90622e886036926
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Wed Feb 10 00:14:52 2016 -0600

    security-popover: Use gtk_label_set_xalign
    
    New API introduced to solve exactly this problem....

 lib/widgets/ephy-security-popover.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit f2dd33065b5601596f01efb91dfba56adc7327b0
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Wed Feb 10 00:11:36 2016 -0600

    security-popover: Use G_DECLARE_FINAL_TYPE

 lib/widgets/ephy-security-popover.c | 97 ++++++++++++++++---------------------
 lib/widgets/ephy-security-popover.h | 26 +---------
 2 files changed, 44 insertions(+), 79 deletions(-)

commit ab27bde8b1b3be706bbe240d14bf565c49b29d6e
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Wed Feb 10 00:07:27 2016 -0600

    node-view: Use G_DECLARE_FINAL_TYPE

 lib/widgets/ephy-node-view.c | 308 +++++++++++++++++++++----------------------
 lib/widgets/ephy-node-view.h |  26 +---
 2 files changed, 150 insertions(+), 184 deletions(-)

commit 6d447a6ff787f7706cc2004e1236443a865d837c
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Tue Feb 9 23:53:46 2016 -0600

    node-view: Use G_DEFINE_TYPE
    
    Party like it's 2004

 lib/widgets/ephy-node-view.c | 45 +++++++-------------------------------------
 1 file changed, 7 insertions(+), 38 deletions(-)

commit cb6e0dae4e0e0741d07d3b24e6ba625019f5e374
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Tue Feb 9 23:46:17 2016 -0600

    Update TODO

 TODO | 1 +
 1 file changed, 1 insertion(+)

commit a55e082cd33d92ff556995a384ad8d274554e247
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Tue Feb 9 23:41:48 2016 -0600

    node-view: Drop unneeded virtual signals

 lib/widgets/ephy-node-view.c | 20 +++++---------------
 lib/widgets/ephy-node-view.h |  6 ------
 2 files changed, 5 insertions(+), 21 deletions(-)

commit 7401f486ffeaca6a472111136ba57c1e274ba3c1
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Tue Feb 9 23:37:51 2016 -0600

    middle-clickable-button: Use G_DECLARE_FINAL_TYPE

 lib/widgets/ephy-middle-clickable-button.c |  5 +++++
 lib/widgets/ephy-middle-clickable-button.h | 19 ++-----------------
 2 files changed, 7 insertions(+), 17 deletions(-)

commit f96cd3f62e941d538767f59acc5a468dce06cd1a
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Tue Feb 9 23:36:12 2016 -0600

    location-entry: Use G_DECLARE_FINAL_TYPE

 lib/widgets/ephy-location-entry.c | 198 +++++++++++++++-----------------------
 lib/widgets/ephy-location-entry.h |  28 +-----
 2 files changed, 82 insertions(+), 144 deletions(-)

commit 49ac908f38bf9ac944bd1ecb9891f8856b1ccfff
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Tue Feb 9 23:23:46 2016 -0600

    location-entry: Remove unneeded virtual signals

 lib/widgets/ephy-location-entry.c | 18 ++++++------------
 lib/widgets/ephy-location-entry.h |  7 -------
 2 files changed, 6 insertions(+), 19 deletions(-)

commit e89d3e26e50f2f3b739e97dd54f31699cd49e384
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Tue Feb 9 23:19:47 2016 -0600

    file-chooser: Use G_DECLARE_FINAL_TYPE

 lib/widgets/ephy-file-chooser.c |  5 +++++
 lib/widgets/ephy-file-chooser.h | 22 ++--------------------
 2 files changed, 7 insertions(+), 20 deletions(-)

commit a83dfdef3b157cf508eee0299bd0ed4dfc7e7063
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Tue Feb 9 23:17:54 2016 -0600

    download-widget: Use G_DECLARE_FINAL_TYPE

 lib/widgets/ephy-download-widget.c | 159 ++++++++++++++++++-------------------
 lib/widgets/ephy-download-widget.h |  27 +------
 2 files changed, 80 insertions(+), 106 deletions(-)

commit 0d3d99de35658557215ef33ce6323763cc620685
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Tue Feb 9 23:10:24 2016 -0600

    downloads-progress-icon: Use G_DECLARE_FINAL_TYPE

 lib/widgets/ephy-downloads-progress-icon.c |  7 +------
 lib/widgets/ephy-downloads-progress-icon.h | 12 ++----------
 2 files changed, 3 insertions(+), 16 deletions(-)

commit 6b23d476a6633f1c0374c8415e009e01db7b1a70
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Tue Feb 9 23:08:06 2016 -0600

    downloads-popover: Use G_DECLARE_FINAL_TYPE

 lib/widgets/ephy-downloads-popover.c |  7 +------
 lib/widgets/ephy-downloads-popover.h | 12 ++----------
 2 files changed, 3 insertions(+), 16 deletions(-)

commit 3c697f755c7deb4a972c45a80fd776c717f41c05
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Tue Feb 9 23:02:01 2016 -0600

    certificate-dialog: Use G_DECLARE_FINAL_TYPE

 lib/widgets/ephy-certificate-dialog.c | 91 ++++++++++++++++-------------------
 lib/widgets/ephy-certificate-dialog.h | 28 ++---------
 2 files changed, 45 insertions(+), 74 deletions(-)

commit 7bc641ddd41ea4dba1ad372c3e889ef9b08430cb
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Tue Feb 9 22:55:45 2016 -0600

    history-service: Chain up in dispose

 lib/history/ephy-history-service.c | 2 ++
 1 file changed, 2 insertions(+)

commit 9b3e45f56d41b383749c10e550561b43007525a0
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Tue Feb 9 22:55:15 2016 -0600

    history-service: Use G_DECLARE_FINAL_TYPE

 lib/history/ephy-history-service-hosts-table.c  |  58 ++++-----
 lib/history/ephy-history-service-private.h      |   3 +-
 lib/history/ephy-history-service-urls-table.c   |  44 +++----
 lib/history/ephy-history-service-visits-table.c |  21 ++--
 lib/history/ephy-history-service.c              | 152 +++++++++++-------------
 lib/history/ephy-history-service.h              |  24 +---
 6 files changed, 125 insertions(+), 177 deletions(-)

commit 916ea903f9c3fe7011a5b3339b6664bfe5a28674
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Tue Feb 9 22:39:19 2016 -0600

    history-service: Remove unnecessary virtual signal

 lib/history/ephy-history-service.c | 38 +++++++++++++-------------------------
 lib/history/ephy-history-service.h |  5 -----
 2 files changed, 13 insertions(+), 30 deletions(-)

commit 8c36f9cbeea2c56709c7dc5f7fae17e96bd226ed
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Feb 8 19:31:27 2016 -0600

    location-entry: Properly normalize URI for cut/copy
    
    761d2fa %-encodes too much, including the ? in query parameters, and the
     # before the fragment.
    
    I wonder if I will ever again attempt to put a # in the first column of
    a git commit message. Can't say I've ever wanted to do that before.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=761660

 lib/ephy-uri-helpers.c            | 19 +++++++++++++++++++
 lib/ephy-uri-helpers.h            |  1 +
 lib/widgets/ephy-location-entry.c |  5 ++---
 3 files changed, 22 insertions(+), 3 deletions(-)

commit 0dd2a628df11599023d675a9e6144f82cbdc2130
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Feb 8 18:15:18 2016 -0600

    Standardize on "decoded" terminology for URIs, not "unescaped"
    
    A bit more precise
    
    https://bugzilla.gnome.org/show_bug.cgi?id=761660

 embed/ephy-web-view.c                    |  6 +++---
 lib/ephy-uri-helpers.c                   |  2 +-
 lib/ephy-uri-helpers.h                   |  2 +-
 lib/widgets/ephy-download-widget.c       |  6 +++---
 src/bookmarks/ephy-bookmark-properties.c |  8 ++++----
 src/bookmarks/ephy-bookmarks-editor.c    | 10 +++++-----
 src/ephy-history-window.c                |  8 ++++----
 7 files changed, 21 insertions(+), 21 deletions(-)

commit 13231a80e816fca6d7df2b0e1906c35da2b4f0df
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Wed Jan 20 10:39:20 2016 +0100

    Make new tabs inherit history of parent
    
    This feature was lost when we switched to WebKit2, bring it back now
    that we have API in WebKit to handle web view session state.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=706731

 src/ephy-window.c    | 15 +++++++++-
 src/popup-commands.c | 79 +++++++++++++++++++++++++---------------------------
 2 files changed, 52 insertions(+), 42 deletions(-)

commit 346e044b42aaa76063afcb0492a1f055e452d40c
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:   Tue Feb 9 09:55:06 2016 +0100

    Updated German translation

 po/de.po | 151 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 83 insertions(+), 68 deletions(-)

commit 6db72f4a6371fc2f6c1ad1570e6b34ac1813bf81
Author: Rafael Fontenelle <rffontenelle@gmail.com>
Date:   Tue Feb 9 07:35:08 2016 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 153 +++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 83 insertions(+), 70 deletions(-)

commit 9a74939648635b4cab1c8842288b0bdbcf917c51
Author: Balázs Meskó <meskobalazs@gmail.com>
Date:   Tue Feb 9 07:18:27 2016 +0000

    Updated Hungarian translation

 po/hu.po | 738 +++++++++++++++++++++++++--------------------------------------
 1 file changed, 288 insertions(+), 450 deletions(-)

commit 1858689cd8052a276794c196f3b6978a491ed2ad
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Feb 8 21:19:42 2016 -0600

    window: Code style fix

 src/ephy-window.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1a574d2d9b97fe23efb2d35028e410ab5fa83f10
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Feb 8 17:07:05 2016 -0600

    session: Remove unused EphySessionCommand

 src/ephy-session.h | 5 -----
 1 file changed, 5 deletions(-)

commit b5e57d6ffd89307d1a673bebb7c9e4fe1d5f44d2
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Feb 8 15:25:32 2016 -0600

    web-overview: Don't crash when unexpected thumbnail change is received
    
    Sometimes we receive thumbnail changes for pages that aren't in the
    overview. It's probably a bug, but there don't seem to be any
    user-visible effects, so let's not crash over this.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=758470

 embed/web-extension/ephy-web-overview.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b8b391393aca52274063653b2d6e4b3c00e960fd
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sun Feb 7 21:35:02 2016 -0600

    Switch web extensions to using private D-Bus connections
    
    Instead of using the session bus. There's no point in advertising the
    web extension D-Bus interface as if it could be meaningfully used by
    anything other than the Epiphany UI process.
    
    EphyEmbedShell will run the D-Bus server, and the web extensions will
    connect to it.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=761009

 embed/ephy-embed-shell.c                      | 215 +++++++++++++-------------
 embed/ephy-web-extension-proxy.c              | 168 +++++++++++---------
 embed/ephy-web-extension-proxy.h              |   4 +-
 embed/web-extension/ephy-web-extension-main.c |  46 +++---
 embed/web-extension/ephy-web-extension.c      | 105 ++++++++-----
 embed/web-extension/ephy-web-extension.h      |   3 +-
 lib/Makefile.am                               |   2 +
 lib/ephy-dbus-util.c                          |  37 +++++
 lib/ephy-dbus-util.h                          |  29 ++++
 9 files changed, 360 insertions(+), 249 deletions(-)

commit 36272511be7e9c54ce35bf54ec4980d4a403d43e
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Mon Feb 8 16:54:33 2016 +0000

    Updated Slovak translation

 po/sk.po | 138 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 73 insertions(+), 65 deletions(-)

commit b2c4cc27698ad2223491a2f12f6ab7b58e628dcf
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Feb 8 07:15:25 2016 -0600

    appdata: Pass appdata-validate

 data/epiphany.appdata.xml.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 26f2862d8f7b0a0684d684f18f7dad0b3dbc2abf
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sun Feb 7 23:27:19 2016 -0600

    Activate downloads popover when a download is started
    
    A crude but effective way to avoid people wondering what's going on when
    trying to start a download.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=757753

 src/ephy-toolbar.c | 1 +
 1 file changed, 1 insertion(+)

commit 18dc1e1fc79a9c76c5ce13f34fc8c39cee4bf2dc
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sun Feb 7 22:43:45 2016 -0600

    Remove vestiges of public API
    
    It's been gone for years, and it's not coming back. If we support
    extensions in the future, it would be via the WebExtensions API.
    
    This makes me less annoyed by having to maintain a meaningless
    distinction between installed and non-installed header files (it's been
    years since any headers were installed). It also makes me less annoyed
    by having to look at meaningless direct-inclusion guards. And finally,
    it makes me less annoyed because each time I see those direct-inclusion
    guards, I think of how they really ought to be inside the normal include
    guards, rather than outside, to avoid breaking GCC and Clang's
    optimization to avoid unnecessarily reading the contents of the header
    file. (WebKit gets this wrong, too.) You can thank me if this makes
    Epiphany compile 0.1s or so faster for you.
    
    There are no useful changes in this commit.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=761698

 configure.ac                               |  2 -
 embed/Makefile.am                          | 45 ++++++++----------
 embed/ephy-download.h                      |  4 --
 embed/ephy-embed-container.h               |  4 --
 embed/ephy-embed-event.h                   |  4 --
 embed/ephy-embed-prefs.h                   |  4 --
 embed/ephy-embed-private.h                 |  4 --
 embed/ephy-embed-shell.h                   |  4 --
 embed/ephy-embed-utils.h                   |  4 --
 embed/ephy-encoding.h                      |  4 --
 embed/ephy-encodings.h                     |  4 --
 embed/ephy-file-monitor.h                  |  4 --
 embed/ephy-find-toolbar.h                  |  4 --
 embed/ephy-web-extension-proxy.h           |  4 --
 embed/ephy-web-view.h                      |  4 --
 embed/web-extension/ephy-web-dom-utils.h   |  5 +-
 lib/Makefile.am                            | 63 ++++++++++----------------
 lib/ephy-debug.h                           |  4 --
 lib/ephy-dnd.h                             |  4 --
 lib/ephy-favicon-helpers.h                 |  4 --
 lib/ephy-file-helpers.h                    |  4 --
 lib/ephy-gui.h                             |  4 --
 lib/ephy-initial-state.h                   |  4 --
 lib/ephy-langs.h                           |  4 --
 lib/ephy-node-common.h                     |  4 --
 lib/ephy-node-db.h                         |  4 --
 lib/ephy-node-filter.h                     |  4 --
 lib/ephy-node.h                            |  4 --
 lib/ephy-prefs.h                           |  4 --
 lib/ephy-security-levels.h                 |  4 --
 lib/ephy-settings.h                        |  4 --
 lib/ephy-signal-accumulator.h              |  4 --
 lib/ephy-string.h                          |  4 --
 lib/ephy-time-helpers.h                    |  8 +---
 lib/ephy-uri-helpers.h                     |  4 --
 lib/ephy-web-app-utils.h                   |  4 --
 lib/ephy-zoom.h                            |  4 --
 lib/history/Makefile.am                    |  3 --
 lib/widgets/Makefile.am                    |  3 --
 lib/widgets/ephy-certificate-dialog.h      |  4 --
 lib/widgets/ephy-download-widget.h         |  4 --
 lib/widgets/ephy-file-chooser.h            |  4 --
 lib/widgets/ephy-location-entry.h          |  4 --
 lib/widgets/ephy-middle-clickable-button.h |  4 --
 lib/widgets/ephy-node-view.h               |  4 --
 lib/widgets/ephy-security-popover.h        |  4 --
 lib/widgets/ephy-tree-model-node.h         |  4 --
 lib/widgets/ephy-tree-model-sort.h         |  4 --
 lib/widgets/ephy-zoom-action.h             |  4 --
 src/Makefile.am                            | 73 +++++++++++++++---------------
 src/bookmarks/Makefile.am                  | 44 ++++++++----------
 src/bookmarks/ephy-bookmark-action-group.h |  4 --
 src/bookmarks/ephy-bookmark-action.h       |  4 --
 src/bookmarks/ephy-bookmark-properties.h   |  4 --
 src/bookmarks/ephy-bookmarks-editor.h      |  4 --
 src/bookmarks/ephy-bookmarks-export.h      |  4 --
 src/bookmarks/ephy-bookmarks-import.h      |  4 --
 src/bookmarks/ephy-bookmarks-menu.h        |  4 --
 src/bookmarks/ephy-bookmarks-ui.h          |  4 --
 src/bookmarks/ephy-bookmarks.h             |  4 --
 src/bookmarks/ephy-nodes-cover.h           |  4 --
 src/bookmarks/ephy-open-tabs-action.h      |  4 --
 src/bookmarks/ephy-topic-action-group.h    |  4 --
 src/bookmarks/ephy-topic-action.h          |  4 --
 src/bookmarks/ephy-topics-entry.h          |  4 --
 src/bookmarks/ephy-topics-palette.h        |  4 --
 src/ephy-action-helper.h                   |  4 --
 src/ephy-completion-model.h                |  4 --
 src/ephy-encoding-dialog.h                 |  4 --
 src/ephy-history-window.h                  |  4 --
 src/ephy-home-action.h                     |  4 --
 src/ephy-link-action.h                     |  4 --
 src/ephy-link.h                            |  4 --
 src/ephy-location-controller.h             |  4 --
 src/ephy-lockdown.h                        |  4 --
 src/ephy-navigation-history-action.h       |  4 --
 src/ephy-notebook.h                        |  4 --
 src/ephy-private.h                         |  4 --
 src/ephy-session.h                         |  4 --
 src/ephy-shell.h                           |  4 --
 src/ephy-toolbar.h                         |  4 --
 src/ephy-window-action.h                   |  4 --
 src/ephy-window.h                          |  4 --
 src/window-commands.h                      |  4 --
 84 files changed, 103 insertions(+), 443 deletions(-)

commit 70bc6b8dc35dcaec955f489fa67e40427f861dd5
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Jan 18 11:44:26 2016 -0600

    prefs-dialog: Expose restore-session-policy
    
    https://bugzilla.gnome.org/show_bug.cgi?id=724583

 src/prefs-dialog.c            | 32 ++++++++++++++++++++++++++++++++
 src/resources/prefs-dialog.ui | 32 ++++++++++++++++++++++++++++++++
 2 files changed, 64 insertions(+)

commit 761d2fab37dffac086e8ba1df69c8ac499ec90e8
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Feb 6 23:01:23 2016 -0600

    location-entry: Encode URI before copy/paste
    
    The location entry is currently the only place in our UI where it is
    possible to copy a decoded URI. This is basically never what the user
    wants.
    
    I am getting tired of accidentally pasting broken URIs like
    https://build.webkit.org/results/GTK Linux 64-bit Release
    (Tests)/r196216 (13627)/results.html. URIs should be encoded before
    stored in the clipboard. Now I can copy
    https://build.webkit.org/results/GTK%20Linux%2064-bit%20Release%20(Tests)/r196216%20(13627)/results.html
    instead as nature intended.
    
    Of course, if only part of the entry is selected, then it's not a full
    URI and should not be messed with; in this case, just copy it raw.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=761660

 lib/widgets/ephy-location-entry.c | 43 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 43 insertions(+)

commit f7456b7269b3f5cc122725e1c941905e90f8d102
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Mon Feb 8 06:48:11 2016 +0000

    Updated Slovak translation

 po/sk.po | 20 +++++++++++++-------
 1 file changed, 13 insertions(+), 7 deletions(-)

commit 651eb22f664c10b3ff8e1e21966eb8b3dd2d7714
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sun Feb 7 23:01:44 2016 -0600

    Update TODO

 TODO | 13 ++++++-------
 1 file changed, 6 insertions(+), 7 deletions(-)

commit 18ee5e3faa7e084c722083ebb987780266b625f9
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sun Feb 7 21:55:03 2016 -0600

    Formatting fixups for the previous commit
    
    Some tabs snuck in, and we missed a space before opening paren.

 embed/ephy-about-handler.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 9d20f64253526d0f5b5464d66095a66db66c73ed
Author: Lorenzo Tilve <ltilve@igalia.com>
Date:   Tue Dec 29 13:40:27 2015 +0100

    overview: Do not show local files on the overview

 embed/ephy-about-handler.c                    | 1 +
 embed/ephy-embed-shell.c                      | 1 +
 lib/history/ephy-history-service-urls-table.c | 3 +++
 lib/history/ephy-history-types.c              | 1 +
 lib/history/ephy-history-types.h              | 1 +
 5 files changed, 7 insertions(+)

commit a3ac79fe8995763447e5858adef7b928f8005cc7
Author: Lorenzo Tilve <ltilve@igalia.com>
Date:   Mon Jan 25 23:06:22 2016 +0100

    overview: Display a placeholder image on empty overview

 embed/ephy-about-handler.c | 76 ++++++++++++++++++++++++++++------------------
 src/resources/about.css    | 18 +++++++++++
 2 files changed, 65 insertions(+), 29 deletions(-)

commit 6572053c3b044c48a4b4a29ac444bcc8fec6bfe6
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:   Sun Feb 7 16:38:16 2016 +0100

    Updated Danish translation

 po/da.po | 1180 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 630 insertions(+), 550 deletions(-)

commit 01eb4d0e6c92af2a628ec6a647d0de3f0e06493c
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sun Feb 7 13:11:40 2016 +0100

    Updated Spanish translation

 po/es.po | 90 +++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 49 insertions(+), 41 deletions(-)

commit 482593e73872c86bc8255917d10643fb8ec0d208
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Sat Feb 6 21:03:46 2016 +0200

    Update Latvian translation

 po/lv.po | 1055 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 543 insertions(+), 512 deletions(-)

commit ad673402baa2a8c101f258d3fddaf2f4193599ed
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Feb 6 17:06:22 2016 +0100

    Updated Polish translation

 po/pl.po | 1237 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 644 insertions(+), 593 deletions(-)

commit 5eed405e85001a18e1fdf3658445e5661d2c643c
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:   Fri Feb 5 20:33:11 2016 +0000

    Updated Finnish translation

 po/fi.po | 231 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 121 insertions(+), 110 deletions(-)

commit 9e233ee9cb3e2ffd9fcbd765fd607acd3640a842
Author: Fábio Nogueira <fnogueira@gnome.org>
Date:   Wed Feb 3 14:33:58 2016 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 793 ++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 503 insertions(+), 290 deletions(-)

commit e1c753712b7a43fcbd588ae502d8c9d15391ee1a
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Tue Feb 2 17:45:18 2016 +0100

    Updated Slovenian translation

 po/sl.po | 480 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 259 insertions(+), 221 deletions(-)

commit cb9e0c4bb7d2bc1105977b434499ba14ee1384db
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Tue Feb 2 11:23:22 2016 +0000

    Updated French translation

 po/fr.po | 1156 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 615 insertions(+), 541 deletions(-)

commit 41d802c5a0729382f2a7cc5440d8a5d2ccbd171e
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sun Jan 31 22:18:40 2016 +0100

    Updated Spanish translation

 po/es.po | 498 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 251 insertions(+), 247 deletions(-)

commit 928dfa0abb0b4f30f6764a18fd159eccae676472
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Sat Jan 30 14:02:54 2016 +0000

    Updated Slovak translation

 po/sk.po | 168 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 92 insertions(+), 76 deletions(-)

commit acb58b2672d57e28aba2caef60a3fa03040f6c93
Author: Gábor Kelemen <kelemeng@openscope.org>
Date:   Fri Jan 29 16:32:15 2016 +0000

    Updated Hungarian translation

 help/hu/hu.po | 108 ++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 68 insertions(+), 40 deletions(-)

commit 88fad356f74f8d93feb12da636ae001731eb9756
Author: Balázs Meskó <meskobalazs@gmail.com>
Date:   Tue Jan 26 14:31:10 2016 +0000

    Updated Hungarian translation

 po/hu.po | 99 ++++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 53 insertions(+), 46 deletions(-)

commit 096b1586e42aee319dca745a068454787d04ec5b
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:   Mon Jan 25 21:01:14 2016 +0100

    Updated German translation

 po/de.po | 89 ++++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 48 insertions(+), 41 deletions(-)

commit 037c7797cecb870eb069777639e17377d52fda2b
Author: Richard Hughes <richard@hughsie.com>
Date:   Mon Jan 25 15:40:57 2016 +0000

    Add a missing tag to the AppData file

 data/epiphany.appdata.xml.in | 1 +
 1 file changed, 1 insertion(+)

commit 56e9ef77df2377bc4d0ca39a4900641eba2421cd
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sun Jan 24 22:07:39 2016 -0600

    Move ephy-web-dom-utils to embed/web-extension
    
    Since it's only usable from the web extension.
    
    Also, remove an old #include from window-commands, a holdover from
    WebKit1 I suppose.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=761074

 embed/web-extension/Makefile.am          |   2 +
 embed/web-extension/ephy-web-dom-utils.c | 527 +++++++++++++++++++++++++++++++
 embed/web-extension/ephy-web-dom-utils.h |  55 ++++
 lib/Makefile.am                          |   2 -
 lib/ephy-web-dom-utils.c                 | 527 -------------------------------
 lib/ephy-web-dom-utils.h                 |  55 ----
 src/window-commands.c                    |   1 -
 7 files changed, 584 insertions(+), 585 deletions(-)

commit cc67c5f394a94e3b5e1cf232772d73a9cb2e90f5
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sun Jan 24 19:23:43 2016 -0600

    web-view: Add mnemonics for error page buttons
    
    Unfortunately WebKit does not actually render the access key, so there's
    no way to know it's there, but it's better than not having any access
    key.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=761069

 embed/ephy-web-view.c    | 14 ++++++++++++--
 src/resources/error.html |  2 +-
 2 files changed, 13 insertions(+), 3 deletions(-)

commit ff58bf0e64a261eb6cb295f256803f11ca4a5dad
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sun Jan 24 22:47:29 2016 -0600

    web-dom-utils: Add another FIXME

 lib/ephy-web-dom-utils.c | 3 +++
 1 file changed, 3 insertions(+)

commit 7992222e0f3ab1b1b46e29ed919abe994adfb962
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sun Jan 24 22:16:35 2016 -0600

    web-dom-utils: Add a FIXME comment

 lib/ephy-web-dom-utils.c | 3 +++
 1 file changed, 3 insertions(+)

commit 46ee95ba2bacbb5106bbaf1e652ab04fdd25dd6b
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sun Jan 24 22:11:45 2016 -0600

    encoding-dialog: Placate -Wdiscarded-qualifiers

 src/ephy-encoding-dialog.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 70ae1bb851c916af0005b28d739ce25b7a4247cd
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sun Jan 24 19:30:07 2016 -0600

    web-view: Add an assertion
    
    An early return here leads to memory leaks. We should never hit this
    because (a) we'd better have an error page for every error type, and (b)
    if we don't there will be a compiler warning thanks to the new warning
    flags.

 embed/ephy-web-view.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit a253d063ee4b6b87e65abcded14990a7d540949e
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sun Jan 24 18:22:25 2016 -0600

    Clean the sass cache
    
    Mostly to get it out of my git status output

 src/Makefile.am | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 7a7e4c43c25bdf37050a92fdbb92dcab785744f9
Author: Balázs Meskó <meskobalazs@gmail.com>
Date:   Sun Jan 24 12:59:31 2016 +0000

    Updated Hungarian translation

 po/hu.po | 1166 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 619 insertions(+), 547 deletions(-)

commit 28578843ab6633a4b8a9c29cf8443f315d17c7ee
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Jan 23 17:03:27 2016 -0600

    web-view: Remove obsolete ifdefs
    
    We already require 2.11.4

 embed/ephy-web-view.c | 4 ----
 1 file changed, 4 deletions(-)

commit 53a6683661fec779820e1076be0ac85997e2a328
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Jan 23 13:06:40 2016 -0600

    Fixup for the previous commit
    
    Not sure how I missed all the warnings the previous commit
    introduced....

 embed/web-extension/ephy-web-extension-main.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit e6369581944c85815d75972edd8f36391eb87314
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Jan 23 12:06:58 2016 -0600

    web-extension-main: Use a pragma to silence -Wmissing-prototype
    
    I like this better.

 embed/web-extension/ephy-web-extension-main.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 1f4f310360d94bccd16cd30a0e506b575f54d70f
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:   Sat Jan 23 18:03:02 2016 +0100

    Updated German translation

 po/de.po | 147 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 77 insertions(+), 70 deletions(-)

commit b73a25759ee1ee17a999af7f8a7c83d261a3dc2a
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Fri Jan 22 16:32:04 2016 -0600

    sqlite-statement: Chain up properly in finalize

 lib/ephy-sqlite-statement.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2799c0084cb2c699d496fa849692732b4c1aa64b
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Fri Jan 22 16:28:55 2016 -0600

    sqlite-connection: chain up properly in finalize

 lib/ephy-sqlite-connection.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 86fdf35e7d0d9926e21d8484f290d46141449dc7
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Fri Jan 22 12:44:53 2016 -0600

    Update appdata

 data/epiphany.appdata.xml.in | 22 ++++++++++++++++------
 1 file changed, 16 insertions(+), 6 deletions(-)

commit d1784f095b392998473eb42d879f62762336ccc8
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Jan 18 19:08:13 2016 -0600

    web-overview: Do not drop thumbnail update requests
    
    When the overview is opened in a new tab, it normally works fine, but
    when the overview is opened in the first tab when starting Epiphany,
    there are no thumbnails for any of the sites: just empty placeholder
    images, at least on my machine. That's not good.
    
    The snapshot service does not have the images ready immediately when
    requested by EphyAboutHandler, so EphyAboutHandler is not able to insert
    them into the overview HTML when it is created. Instead, it inserts a
    placeholder image. Then, when the snapshot service has finished getting
    the thumbnail, it makes a D-Bus call to the web extension to convey the
    file URI for the thumbnail (for each URL in the overview).
    EphyWebOverview replaces the placeholder image with the thumbnail when
    it receives the call.
    
    The problem is the call can occur before WebKit has finished loading the
    overview HTML, in which case the thumbnail changes get dropped and we
    wind up with a bunch of placeholder images. Instead, remember the
    thumbnail change requests as they come in, then apply them all after the
    document has loaded.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=758470

 embed/web-extension/ephy-web-overview.c | 54 +++++++++++++++++++++++++++++++--
 1 file changed, 52 insertions(+), 2 deletions(-)

commit 10e6ad5057c4dc778ebbecc4757c4f4894bf1a6d
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Mon Jan 18 12:35:43 2016 +0100

    ephy-session: restore session state when restoring recently closed tabs
    
    This feature was lost with the port to WebKit2, but it's now back and
    improved, since now nt only the back list is restored, but the whole
    history navigation information and the scroll position.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=760782

 src/ephy-session.c | 27 ++++++++++++++++++++++-----
 1 file changed, 22 insertions(+), 5 deletions(-)

commit 20fa897c5ebd1c20b9f6caad312a88bdb22f800f
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Mon Jan 18 12:13:47 2016 +0100

    ephy-session: simplify the code to track closed tabs parent notebook
    
    Use a refcounted struct to add/remove the weak pointer, and let the
    closed tabs just ref/unref the notebook tracker. This should also fix
    the leak reported in bug #695966.

 src/ephy-session.c | 164 +++++++++++++++++++++++++----------------------------
 1 file changed, 78 insertions(+), 86 deletions(-)

commit 5086e25fcb5e1aab30c50af55f9e2a9db5d8bf42
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Mon Jan 18 09:35:08 2016 +0100

    ephy-session: stop saving the back forward list for recently closed tabs
    
    This is currently unused. Also improve the detection of empty tabs with
    no history to not add them to the list of closed tabs.

 src/ephy-session.c | 27 ++++++++-------------------
 1 file changed, 8 insertions(+), 19 deletions(-)

commit c45ae0b29287353f3798428b7131d8ac2127da62
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Thu Jan 14 17:59:13 2016 +0100

    ephy-session: save and restore web view session state
    
    Using the new WebKit API available in 2.11.3. The session state is
    serialized and then encoded as Base-64 to be able to to save it in our
    current session state XML file. Now, we always save the session on
    close, since there are more things that might have changed in the state
    like the scroll position that we don't monitor to schedule saves.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=119432

 configure.ac       |  2 +-
 embed/ephy-embed.c | 23 +++++++++++---
 embed/ephy-embed.h |  3 +-
 src/ephy-session.c | 91 +++++++++++++++++++++++++++++++++++++++++++++++++-----
 4 files changed, 105 insertions(+), 14 deletions(-)

commit 7d83de2dd3b6645185d31904ec90ae93f25ab680
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Thu Jan 14 15:42:07 2016 +0100

    ephy-session: Save the session also when active tab changes
    
    We are saving the active tab in the session, but we don't update the
    session file when it changes.

 src/ephy-session.c | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit e18ccd0da2c0aaadac4b9c0039f385e4bdfb94d8
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Thu Jan 14 15:32:27 2016 +0100

    ephy-session: do not start the save task immediately
    
    Wait for one second, so that if there are several save requests in one
    second, we only save the session once. If the session is closed while
    there's a save request pending, the request is cancelled and the session
    saved immediately.

 src/ephy-session.c | 80 +++++++++++++++++++++++++++++++++++++++---------------
 1 file changed, 58 insertions(+), 22 deletions(-)

commit 52171e035c787ee155dfb1acb7a02f6c6469b724
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Thu Jan 14 14:42:37 2016 +0100

    ephy-session: Remove filename parameter from ephy_session_save()
    
    Stop pretending we support saving the session to any path. We always
    save the session to the default session file, ephy_session_save() is
    public only to be able to use it from tests.

 src/ephy-session.c        | 46 ++++++++++++++++++++++------------------------
 src/ephy-session.h        |  3 +--
 tests/ephy-session-test.c |  2 +-
 3 files changed, 24 insertions(+), 27 deletions(-)

commit adbe1549da2f28deba3f223a60f0873d46ef034d
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Thu Jan 14 12:07:45 2016 +0100

    ephy-session: Never save the session if the policy is set to never

 src/ephy-session.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit 9c83f5014622ecb52811c093cd02d69e06f8de49
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Thu Jan 14 11:48:11 2016 +0100

    ephy-session: always set dont_save to false in ephy_session_close()
    
    It's the only thing we are doing now, so we don't need to check the
    policy, it's always safe to set dont_save to FALSE when session is
    closed.

 src/ephy-session.c | 11 +----------
 1 file changed, 1 insertion(+), 10 deletions(-)

commit 36c5d9be3ca9a0617c7964414964c7fc3ea75127
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Thu Jan 14 10:57:59 2016 +0100

    embed: Remove unused EphyEmbedShell::prepare-close signal

 embed/ephy-embed-shell.c | 23 -----------------------
 embed/ephy-embed-shell.h |  3 ---
 src/ephy-session.c       |  2 --
 3 files changed, 28 deletions(-)

commit 08eb12b3bb538f96b23bc2ac7bf21e360b085b4d
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Tue Jan 19 09:52:01 2016 +0100

    embed: Ignore beforeunload events
    
    At least until we properly support them. Connect to WebKitWebView::script-dialog
    to always confirm we want to leave the page and stop the signal
    propagation.

 embed/ephy-web-view.c | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

commit d66da032f687daa58bc0c00bbfb640fa81795004
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Jan 18 22:22:38 2016 -0600

    Take safetypes patch from Debian
    
    No clue why this was never proposed upstream....

 data/mime-types-permissions.xml | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 4960ba02c89102220f4b106f0ab13a6f48fa3d14
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Jan 18 22:14:41 2016 -0600

    Allow opening .tar.xz files
    
    Really a bad problem that we have a list of MIME types for which using
    the Open button is doomed to fail. A bad problem indeed. Make it seem
    like less of a bad problem by making .tar.xz files work.

 data/mime-types-permissions.xml | 1 +
 1 file changed, 1 insertion(+)

commit 1836df58562df4511a90f3141377d6c0b9db4c3c
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Jan 18 16:55:50 2016 -0600

    about-handler: Remove unused define

 embed/ephy-about-handler.c | 1 -
 1 file changed, 1 deletion(-)

commit 258301217cae6343dd4fe0f20ca96154650b250e
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:   Sat Jan 16 03:14:21 2016 +0000

    Updated Japanese translation

 po/ja.po | 1454 +++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 860 insertions(+), 594 deletions(-)

commit d5e6724eb05effb6b15a5676703ae35e1639cae9
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Fri Jan 15 10:43:30 2016 -0600

    Fix crash starting incognito mode
    
    https://bugzilla.gnome.org/show_bug.cgi?id=760667

 lib/ephy-file-helpers.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 40cd97ebf220df869114c352a2fad5896488aebc
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Wed Jan 13 13:00:12 2016 -0600

    Fix Linux build

 lib/ephy-profile-migrator.c | 1 +
 1 file changed, 1 insertion(+)

commit 16cc92ef1bbe822a6be09371334b34540456ffea
Author: Ting-Wei Lan <lantw@src.gnome.org>
Date:   Mon Jan 11 12:15:35 2016 +0800

    ephy-profile-migrator: Call setlocale and gettext functions in main function
    
    It is required to correctly show translated messages on some locales.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=760417

 lib/Makefile.am             | 1 +
 lib/ephy-profile-migrator.c | 5 +++++
 2 files changed, 6 insertions(+)

commit 911ccf3a377e7b651ca9a8d3512cb110f8de77d1
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Wed Jan 13 10:44:59 2016 -0600

    build: static link with libgd
    
    https://bugzilla.gnome.org/show_bug.cgi?id=760442

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2aea86dccce06f374c747e0e3cba80fb7c857d1c
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Mon Jan 11 09:55:41 2016 +0000

    Updated Slovak translation

 po/sk.po | 1051 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 544 insertions(+), 507 deletions(-)

commit fe8c42a5f519de7d2327a985fd4ffb8151ef41d7
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sun Jan 10 17:16:15 2016 +0200

    Updated Lithuanian translation

 po/lt.po | 457 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 223 insertions(+), 234 deletions(-)

commit 1f49d03b760e29e431275f22507c895f76d995af
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Fri Jan 8 14:07:19 2016 -0600

    theme: Avoid CSS error

 src/resources/epiphany.css  | 2 +-
 src/resources/epiphany.scss | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 5243f8a82e6190728382a91dc3ce8b8152fdaf8e
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Thu Jan 7 14:17:42 2016 -0600

    build: m4, directory should be just m4
    
    This was an amusing regression.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 48d871176058879f464ecb8e500d7a122f352399
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Thu Jan 7 20:59:22 2016 +0100

    Updated Norwegian bokmål translation.

 po/nb.po | 1016 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 516 insertions(+), 500 deletions(-)

commit 8200ca2989344c590635dc5a7ae7267797a21470
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Thu Jan 7 10:30:59 2016 -0600

    Attempt to fix srcdir != builddir

 lib/widgets/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c6a9e6c0a3eaf4f29bd4e48bdcba9a7d7381ae30
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Wed Aug 6 15:41:00 2014 -0500

    Remove encoding preference from preferences dialog
    
    I can't see any benefit to this setting, besides to confuse and break
    pages.
    
    This patch does not remove the encodings dialog that allows changing the
    encoding on the current page, and it doesn't remove encodings from the
    window menu. We should consider these as well. Users don't need to know
    anything about encodings and Firefox doesn't allow changing encoding at
    all anymore.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=734381

 src/prefs-dialog.c            | 77 -------------------------------------------
 src/resources/prefs-dialog.ui | 39 ----------------------
 2 files changed, 116 deletions(-)

commit b4ce44639bb5196b593f71c9c1d0cabbde8af98b
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Dec 21 08:01:55 2015 -0600

    Use GdTwoLinesRenderer to display the location entry completion
    
    Accordingly, we get to remove Carlos's horrible hack adding markup to
    the completion model (which in MVC should only model, not contain
    style), and Claudio's horrible hack adding a bool property to make the
    markup optional (to avoid breaking the search provider, which also uses
    the completion model).
    
    The markup was originally moved to the completion model in order to
    remove the cell data function, which was being run continuously due to
    some bug. Because GdTwoLinesRenderer uses real cell attributes to
    display the title and url separately, we no longer need to worry at all
    about the task it used to perform -- merging the title and url into one
    string, with a newline and formatting markup to control size and color
    of the second line. GdTwoLinesRenderer takes care of this much more
    cleanly.
    
    The only user-visible change is that it is now possible to read URLs in
    the completion when the row is selected, as the gray is darker.
    Apparently some people can read it fine, but the color was too similar to
    the selection blue on the three monitors I tested.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=736364

 .gitmodules                        |  3 ++
 Makefile.am                        |  2 +-
 autogen.sh                         |  2 +
 configure.ac                       |  5 ++-
 lib/widgets/Makefile.am            |  4 ++
 lib/widgets/ephy-location-entry.c  | 12 ++++--
 libgd                              |  1 +
 src/ephy-completion-model.c        | 81 ++------------------------------------
 src/ephy-completion-model.h        |  3 +-
 src/ephy-location-controller.c     |  2 +-
 src/ephy-search-provider.c         |  2 +-
 tests/ephy-completion-model-test.c |  4 +-
 12 files changed, 33 insertions(+), 88 deletions(-)

commit 5d24240fed72413dec9fde1c9ea94bd026c67a47
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:   Wed Jan 6 11:53:09 2016 +0000

    Updated Finnish translation

 po/fi.po | 1144 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 598 insertions(+), 546 deletions(-)

commit f3113c5bec20116a4239ec143e667e9951987c80
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Tue Jan 5 20:01:43 2016 -0600

    theme: remove another "improvement"

 src/resources/epiphany.css  | 9 +++++++++
 src/resources/epiphany.scss | 2 +-
 2 files changed, 10 insertions(+), 1 deletion(-)

commit 277043a121764bdb45954197365e02af462dbcfb
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Tue Jan 5 19:58:32 2016 -0600

    theme: went a bit too far with insensitive -> disabled

 src/resources/epiphany.css  | 8 ++++++++
 src/resources/epiphany.scss | 2 +-
 2 files changed, 9 insertions(+), 1 deletion(-)

commit 214fec5c9dc0b581e2c3705dd4113bc6f4b78b18
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Tue Jan 5 19:56:29 2016 -0600

    theme: insensitive -> disabled

 src/resources/epiphany.css  | 19 +------------------
 src/resources/epiphany.scss |  8 ++++----
 2 files changed, 5 insertions(+), 22 deletions(-)

commit ac7b17a302d88e3160795ccf0619239431c69a3c
Author: Andika Triwidada <andika@gmail.com>
Date:   Sat Jan 2 13:57:46 2016 +0000

    Updated Indonesian translation
    (cherry picked from commit 64cf5051418e00c791f21e2029490074833947cf)

 po/id.po | 319 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 161 insertions(+), 158 deletions(-)

commit e9a60a581d8540ed959f0d6a0ee28b2ad9edd59e
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Sat Jan 2 14:15:09 2016 +0100

    Add Swedish help translation

 help/Makefile.am |    2 +-
 help/sv/sv.po    | 2055 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 2056 insertions(+), 1 deletion(-)

commit a6cb9eb3ed64e21b671085d4faa789ee0059638e
Author: Muhammet Kara <muhammetk@gmail.com>
Date:   Fri Jan 1 09:08:52 2016 +0000

    Updated Turkish translation

 po/tr.po | 1135 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 604 insertions(+), 531 deletions(-)

commit e586a81e6aa218feff63c75caaa2dc1037b51e9e
Author: Enrico Nicoletto <liverig@gmail.com>
Date:   Thu Dec 31 17:20:47 2015 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 1581 +++++++++++++++++++++++++++--------------------------------
 1 file changed, 722 insertions(+), 859 deletions(-)

commit 27e51129bb89a75cc7aaa6fec216027aac500349
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:   Tue Dec 29 23:46:27 2015 +0100

    Updated German doc translation

 help/de/de.po | 85 +++++++++++++++++++++++++++++------------------------------
 1 file changed, 42 insertions(+), 43 deletions(-)

commit 34f0dc4e5ad3f8c40f1f4b8a6008fbe2cba27818
Author: J.M. Ruetter <jm@jublo.net>
Date:   Tue Dec 29 15:41:54 2015 +0100

    Updated German translation

 po/de.po | 1218 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 640 insertions(+), 578 deletions(-)

commit b495e7ac0e77204710be3d159119c263fb0da6ee
Author: Olav Vitters <olav@vitters.nl>
Date:   Mon Dec 28 22:33:34 2015 +0100

    dummy commit

 HACKING | 1 +
 1 file changed, 1 insertion(+)

commit 1cc49f609cc56346269781ece0f56d632f37b133
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Dec 26 22:28:12 2015 -0600

    Enable and placate -Wswitch-enum and -Wswitch-default
    
    I guess these aren't so bad....

 configure.ac                                  |  6 ++----
 embed/ephy-embed-shell.c                      |  2 ++
 embed/ephy-embed.c                            |  2 ++
 embed/ephy-file-monitor.c                     |  7 +++++++
 embed/ephy-find-toolbar.c                     |  5 +++++
 embed/ephy-web-view.c                         |  3 +++
 lib/ephy-node-db.c                            |  4 ++++
 lib/ephy-node-filter.c                        | 11 +++++++++++
 lib/ephy-node.c                               |  3 +++
 lib/ephy-smaps.c                              |  1 +
 lib/history/ephy-history-service-urls-table.c |  1 +
 lib/widgets/ephy-certificate-dialog.c         |  4 ++++
 lib/widgets/ephy-security-popover.c           |  2 ++
 lib/widgets/ephy-zoom-action.c                |  4 ++++
 src/bookmarks/ephy-bookmark-action.c          |  4 ++++
 src/bookmarks/ephy-bookmarks-import.c         |  3 +++
 src/bookmarks/ephy-topic-action.c             |  4 ++++
 src/ephy-notebook.c                           |  4 ++++
 18 files changed, 66 insertions(+), 4 deletions(-)

commit beff7a5396770e805d8c54c8f40b7689dccf8707
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Dec 26 22:00:00 2015 -0600

    Stop explicitly passing -Wdeclaration-after-statement...
    
    ...to AX_COMPILER_FLAGS.
    
    It's already enabled by default, as if it were useful for some reason.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 00b134d0f5736650d98ed61b75dc3ff62459da18
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Dec 26 21:58:27 2015 -0600

    Enable and placate -Wsign-compare

 configure.ac                             |  2 +-
 embed/ephy-about-handler.c               |  2 +-
 embed/ephy-embed-prefs.c                 |  2 +-
 embed/ephy-encodings.c                   |  2 +-
 embed/web-extension/ephy-web-extension.c |  2 +-
 lib/ephy-file-helpers.c                  |  2 +-
 lib/ephy-initial-state.c                 |  2 +-
 lib/ephy-langs.c                         |  4 ++--
 lib/ephy-node-db.c                       |  2 +-
 lib/ephy-node-filter.c                   |  6 +++---
 lib/ephy-node.c                          | 10 +++++-----
 lib/ephy-profile-migrator.c              |  2 +-
 lib/ephy-string.c                        |  4 ++--
 lib/ephy-web-dom-utils.c                 |  4 ++--
 lib/widgets/ephy-location-entry.c        |  2 +-
 lib/widgets/ephy-node-view.c             |  2 +-
 lib/widgets/ephy-zoom-action.c           |  2 +-
 src/bookmarks/ephy-bookmarks-editor.c    |  9 +++++----
 src/bookmarks/ephy-bookmarks-export.c    |  5 +++--
 src/bookmarks/ephy-bookmarks.c           | 18 +++++++++---------
 src/bookmarks/ephy-topic-action-group.c  |  2 +-
 src/bookmarks/ephy-topics-entry.c        |  3 ++-
 src/bookmarks/ephy-topics-palette.c      |  5 +++--
 src/ephy-completion-model.c              |  2 +-
 src/ephy-location-controller.c           |  2 +-
 src/ephy-window.c                        |  8 ++++----
 src/prefs-dialog.c                       |  6 +++---
 src/window-commands.c                    |  4 ++--
 tests/ephy-bookmarks-test.c              |  2 +-
 tests/ephy-embed-utils-test.c            |  2 +-
 tests/ephy-file-helpers-test.c           |  6 +++---
 tests/ephy-string-test.c                 |  2 +-
 tests/ephy-web-view-test.c               |  4 ++--
 33 files changed, 68 insertions(+), 64 deletions(-)

commit a6e5831af6604ff4a712d80bc6bca1fc4133def8
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Dec 26 21:40:11 2015 -0600

    Don't feed crap into a GMemoryInputStream
    
    I haven't analyzed this properly to see what's going on here, but this
    is definitely a bug, as this function is often called with -1 for
    data_length. Thanks, -Wsign-compare.

 embed/ephy-about-handler.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9e7feb065d6e243b506e73289f23702087ad481f
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Dec 26 21:04:55 2015 -0600

    Enable -Wdiscarded-qualifiers
    
    Seems Ting-Wei has fixed these when quashing -Wwrite-strings.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 142a94dea4825b23af6240da3d078305f2edfe11
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Dec 26 21:01:31 2015 -0600

    Enable and placate -Wredundant-decls

 configure.ac                          | 2 +-
 lib/widgets/ephy-file-chooser.c       | 4 +---
 lib/widgets/ephy-zoom-action.c        | 3 ---
 src/bookmarks/ephy-bookmarks-editor.c | 2 --
 src/bookmarks/ephy-bookmarks.c        | 2 --
 src/ephy-link-action.c                | 8 ++++----
 src/ephy-link.h                       | 2 --
 src/ephy-location-controller.c        | 2 --
 src/ephy-navigation-history-action.c  | 4 ----
 src/ephy-shell.c                      | 2 --
 src/ephy-shell.h                      | 2 --
 src/prefs-dialog.c                    | 6 +-----
 12 files changed, 7 insertions(+), 32 deletions(-)

commit d6581d4ce8ca69821485a09c71b8d7530717c2db
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Dec 26 20:47:01 2015 -0600

    Enable and placate -Wno-shadow

 configure.ac                          |  2 +-
 embed/ephy-embed-shell.c              | 16 ++++++++--------
 embed/ephy-embed.c                    |  2 +-
 lib/ephy-file-helpers.c               | 20 ++++++++++----------
 lib/ephy-node.c                       | 18 +++++++++---------
 lib/ephy-profile-migrator.c           | 15 ++++++++-------
 lib/ephy-snapshot-service.c           |  2 +-
 src/bookmarks/ephy-bookmarks-editor.c | 24 ++++++++++++------------
 src/ephy-main.c                       | 10 +++++-----
 src/window-commands.c                 |  5 ++---
 tests/ephy-snapshot-service-test.c    |  2 +-
 11 files changed, 58 insertions(+), 58 deletions(-)

commit 44be8d856c4afcdb0e11dd3c55047e1e8b903ac7
Author: Marek Černocký <marek@manet.cz>
Date:   Thu Dec 24 14:35:13 2015 +0100

    Updated Czech translation

 po/cs.po | 1026 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 527 insertions(+), 499 deletions(-)

commit 776a48b57ac44066c7f843bed1f1a18ddb22cafe
Author: Jeff Bai <jeffbai@aosc.xyz>
Date:   Wed Dec 23 12:52:37 2015 +0800

    Update zh_CN translation

 po/zh_CN.po | 1239 +++++++++++++++++++++++++++++++----------------------------
 1 file changed, 645 insertions(+), 594 deletions(-)

commit 1a2dad4add060cbed36b4f6116b8153a62320912
Author: Marek Černocký <marek@manet.cz>
Date:   Tue Dec 22 09:39:47 2015 +0100

    Updated Czech translation

 help/cs/cs.po | 55 +++++++++++++++++++++++--------------------------------
 1 file changed, 23 insertions(+), 32 deletions(-)

commit 19ff1cda3090f17fb62c43f0e04aeef958594e60
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sun Dec 20 13:35:23 2015 -0600

    Update the theme for CSS nodes
    
    button and entry are now CSS names, not style classes.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=757164

 src/resources/epiphany.css  | 32 ++++++++++++++++----------------
 src/resources/epiphany.scss |  6 +++---
 2 files changed, 19 insertions(+), 19 deletions(-)

commit f74683aace8b113ff19d63d00d09e00d9da541ea
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Oct 26 21:24:44 2015 -0500

    Update for removal of GTK_STYLE_CLASS_ENTRY
    
    https://bugzilla.gnome.org/show_bug.cgi?id=757164

 configure.ac                             | 2 +-
 embed/web-extension/ephy-web-extension.c | 2 +-
 src/ephy-completion-model.c              | 4 ++--
 3 files changed, 4 insertions(+), 4 deletions(-)

commit aa5f69f91edf0274fff17513ce0230d1b2c29cb9
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sun Dec 20 13:27:40 2015 -0600

    Remove theme for old download box
    
    It's gone
    
    https://bugzilla.gnome.org/show_bug.cgi?id=757164

 src/resources/epiphany.css  | 23 -----------------------
 src/resources/epiphany.scss | 36 ------------------------------------
 2 files changed, 59 deletions(-)

commit 47b95d855c3f17d51eb8004999706990da813f49
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sun Dec 20 13:27:15 2015 -0600

    Regenerate CSS with current GTK+ master
    
    https://bugzilla.gnome.org/show_bug.cgi?id=757164

 src/resources/epiphany.css | 92 +++++++++++++++++++++++++++++-----------------
 1 file changed, 58 insertions(+), 34 deletions(-)

commit 20fb5551e11a6f4f185ca3345da172a8de0cc5ee
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sun Dec 20 18:49:08 2015 -0600

    downloads-popover: Disappear more smoothly
    
    Hide the popover before removing the download widgets, else the popover
    "crumples" visibly.

 lib/widgets/ephy-downloads-popover.c | 2 ++
 1 file changed, 2 insertions(+)

commit c6844fe27a771deb4f5deeec97f5bc588c4123f8
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Dec 19 16:31:31 2015 -0600

    Be more careful with gtk_style_context_get_*

 lib/widgets/ephy-location-entry.c | 8 ++++++--
 src/ephy-completion-model.c       | 1 +
 2 files changed, 7 insertions(+), 2 deletions(-)

commit a93481afce9d029fde5e6d6d8df8fec6078660fa
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Dec 19 16:21:03 2015 -0600

    web-view: Fix security level of error pages
    
    Error pages are not insecure (with the exception of the TLS error page)

 embed/ephy-web-view.c | 15 ++++++++++-----
 1 file changed, 10 insertions(+), 5 deletions(-)

commit 675638db45606e026c7f69c1c9f5d49e2d34249d
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Dec 19 09:17:11 2015 -0600

    build: Switch to AM_DISTCHECK_CONFIGURE_FLAGS
    
    Apparently DISTCHECK_CONFIGURE_FLAGS is for users
    
    https://www.gnu.org/software/automake/manual/html_node/Checking-the-Distribution.html

 Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 04a4224f5ebe6b99533d0830be72d15e01e58745
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Fri Dec 18 09:53:41 2015 -0600

    Revert "EphyUriTester: Drop keys/signatures logic"
    
    This reverts commit 1600a5fb51f43b7969782c096c62c54f336d5571.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=759501

 embed/web-extension/ephy-uri-tester.c | 108 +++++++++++++++++++++++++++++++++-
 1 file changed, 105 insertions(+), 3 deletions(-)

commit a2f240a5aeb8c753da22b6a41245178519943570
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu Dec 17 19:11:45 2015 +0100

    Updated Spanish translation

 po/es.po | 1045 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 542 insertions(+), 503 deletions(-)

commit 260c0929110b4909fac09811a2ef298257a0f715
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Thu Dec 17 07:39:42 2015 -0600

    Update doap

 epiphany.doap | 13 ++++++++++---
 1 file changed, 10 insertions(+), 3 deletions(-)

commit 31af6205b9c7e6e0d792539f3991a44f0414bafd
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Thu Dec 17 07:37:17 2015 -0600

    Update about.ini

 data/about.ini | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit be4e3f624bb8d6a1135e8ca7c2b8e291867e10e7
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Thu Dec 17 07:30:15 2015 -0600

    window: Use G_PARAM_STATIC_STRINGS

 src/ephy-window.c | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit 9740539dfd5ab8e82e704c6d7fac1878afc26166
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Thu Dec 17 07:28:17 2015 -0600

    toolbar: Use G_PARAM_STATIC_STRINGS

 src/ephy-toolbar.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 761032fbe0ba2727ac4b30be99f5b61e314571e6
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Thu Dec 17 07:26:36 2015 -0600

    certificate-dialog: Fix typo
    
    Don't want any of these string literals to be freed

 lib/widgets/ephy-certificate-dialog.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e29fb2355a41fe1b700c499363103f7999a7e8f7
Author: Gianvito Cavasoli <gianvito@gmx.it>
Date:   Wed Dec 16 19:46:53 2015 +0000

    Updated Italian translation
    (cherry picked from commit c72d1b23ea9dd648d8000e9e66026ec4e9e29e11)

 po/it.po | 330 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 165 insertions(+), 165 deletions(-)

commit efc19dcae76f25c2e0b30aa079cf3068c2b7c03e
Author: Arnaud Bonatti <arnaud.bonatti@gmail.com>
Date:   Sat Dec 12 21:15:39 2015 +0100

    EphyHistoryService: Use g_object_class_install_properties.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=759401

 lib/history/ephy-history-service.c | 34 +++++++++++++++++++---------------
 1 file changed, 19 insertions(+), 15 deletions(-)

commit 936cb64c6131a4fcd4da76d29df408f2cfd84e0f
Author: Arnaud Bonatti <arnaud.bonatti@gmail.com>
Date:   Sat Dec 12 21:09:33 2015 +0100

    EphyHistoryService: Remove trailing spaces.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=759401

 lib/history/ephy-history-service.c | 24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

commit 04739e1945c478ff9dc581913b0a4cd30bec7083
Author: Arnaud Bonatti <arnaud.bonatti@gmail.com>
Date:   Sat Dec 12 21:03:10 2015 +0100

    EphyCertificateDialog: Use g_object_class_install_properties.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=759401

 lib/widgets/ephy-certificate-dialog.c | 79 ++++++++++++++---------------------
 1 file changed, 32 insertions(+), 47 deletions(-)

commit d52c5d99e3c860d49034db0ed2d66800e8662d84
Author: Arnaud Bonatti <arnaud.bonatti@gmail.com>
Date:   Sat Dec 12 20:53:40 2015 +0100

    EphyLocationEntry: Remove trailing spaces.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=759401

 lib/widgets/ephy-location-entry.c | 55 +++++++++++++++++++--------------------
 1 file changed, 27 insertions(+), 28 deletions(-)

commit c5df9419b0afb26949a32a54611f2e5cb3ababd0
Author: Arnaud Bonatti <arnaud.bonatti@gmail.com>
Date:   Sat Dec 12 20:48:45 2015 +0100

    EphyLocationEntry: Use g_object_class_install_properties.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=759401

 lib/widgets/ephy-location-entry.c | 64 +++++++++++++++++++--------------------
 1 file changed, 32 insertions(+), 32 deletions(-)

commit 1f43e26b03cd508b1c5e1c5353bd141176d00124
Author: Arnaud Bonatti <arnaud.bonatti@gmail.com>
Date:   Sat Dec 12 19:37:18 2015 +0100

    EphyDownloadWidget: Use g_object_class_install_properties.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=759401

 lib/widgets/ephy-download-widget.c | 23 ++++++++++++-----------
 1 file changed, 12 insertions(+), 11 deletions(-)

commit 0a54916772962268dda77ee471ef16714faacde1
Author: Arnaud Bonatti <arnaud.bonatti@gmail.com>
Date:   Sat Dec 12 19:32:56 2015 +0100

    EphyNodeView: Remove trailing spaces.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=759401

 lib/widgets/ephy-node-view.c | 46 ++++++++++++++++++++------------------------
 1 file changed, 21 insertions(+), 25 deletions(-)

commit 899238099479bdca939823e0b170622cbd2e74d1
Author: Arnaud Bonatti <arnaud.bonatti@gmail.com>
Date:   Sat Dec 12 19:26:27 2015 +0100

    EphyNodeView: Use g_object_class_install_properties.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=759401

 lib/widgets/ephy-node-view.c | 31 +++++++++++++++++--------------
 1 file changed, 17 insertions(+), 14 deletions(-)

commit f7736a8699ef4ad5905c7e54f79afe06ca62bf3c
Author: Arnaud Bonatti <arnaud.bonatti@gmail.com>
Date:   Sat Dec 12 19:20:31 2015 +0100

    EphyTreeModelNode: Use g_object_class_install_properties.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=759401

 lib/widgets/ephy-tree-model-node.c | 18 +++++++++++-------
 1 file changed, 11 insertions(+), 7 deletions(-)

commit 6d4ea494b9d85151d8079609b7c701a1197fbba6
Author: Arnaud Bonatti <arnaud.bonatti@gmail.com>
Date:   Sat Dec 12 19:16:23 2015 +0100

    EphySecurityPopover: Use g_object_class_install_properties.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=759401

 lib/widgets/ephy-security-popover.c | 69 +++++++++++++++++--------------------
 1 file changed, 31 insertions(+), 38 deletions(-)

commit e71369ca72b9715285ecdc8fa7bbc6c9a7f0675f
Author: Arnaud Bonatti <arnaud.bonatti@gmail.com>
Date:   Sat Dec 12 18:08:58 2015 +0100

    EphyZoomAction: Use g_object_class_install_properties.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=759401

 lib/widgets/ephy-zoom-action.c | 21 ++++++++++++---------
 1 file changed, 12 insertions(+), 9 deletions(-)

commit 464efbc8d5ac93add13b100d52827157ad9d7a80
Author: Arnaud Bonatti <arnaud.bonatti@gmail.com>
Date:   Sat Dec 12 17:37:59 2015 +0100

    EphyBookmarkAction: Use g_object_class_install_properties.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=759401

 src/bookmarks/ephy-bookmark-action.c | 62 +++++++++++++++++-------------------
 1 file changed, 30 insertions(+), 32 deletions(-)

commit d31cdf129aeb1f1a16357bd5a053225af4710b24
Author: Arnaud Bonatti <arnaud.bonatti@gmail.com>
Date:   Sat Dec 12 17:24:34 2015 +0100

    EphyBookmarkAction: Remove trailing spaces.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=759401

 src/bookmarks/ephy-bookmark-action.c | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

commit 079e04cd17432f8e255da572f250fa0b6d08b556
Author: Arnaud Bonatti <arnaud.bonatti@gmail.com>
Date:   Sat Dec 12 17:22:48 2015 +0100

    EphyBookmarkProperties: Use g_object_class_install_properties.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=759401

 src/bookmarks/ephy-bookmark-properties.c | 48 +++++++++++++++++---------------
 1 file changed, 25 insertions(+), 23 deletions(-)

commit d1fe748bc48e3ca4e802c70379e6ef13da8e1ddb
Author: Arnaud Bonatti <arnaud.bonatti@gmail.com>
Date:   Sat Dec 12 15:16:00 2015 +0100

    EphyBookmarksEditor: Use g_object_class_install_properties.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=759401

 src/bookmarks/ephy-bookmarks-editor.c | 20 ++++++++++++--------
 1 file changed, 12 insertions(+), 8 deletions(-)

commit fba43d4af2b8e56e3a36500655830bbd2c768c6c
Author: Arnaud Bonatti <arnaud.bonatti@gmail.com>
Date:   Sat Dec 12 14:58:42 2015 +0100

    EphyTopicAction: Use g_object_class_install_properties.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=759401

 src/bookmarks/ephy-topic-action.c | 39 ++++++++++++++++++++-------------------
 1 file changed, 20 insertions(+), 19 deletions(-)

commit 75e952f128617da9c8974f28dd88950a2650a365
Author: Arnaud Bonatti <arnaud.bonatti@gmail.com>
Date:   Sat Dec 12 14:33:46 2015 +0100

    EphyTopicsEntry: Use g_object_class_install_properties.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=759401

 src/bookmarks/ephy-topics-entry.c | 37 ++++++++++++++++++-------------------
 1 file changed, 18 insertions(+), 19 deletions(-)

commit 01c107c6e45b44f31c7fc82077de595287b2c3dd
Author: Arnaud Bonatti <arnaud.bonatti@gmail.com>
Date:   Sat Dec 12 14:13:59 2015 +0100

    EphyTopicsEntry: Correct trailing spaces.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=759401

 src/bookmarks/ephy-topics-entry.c | 133 +++++++++++++++++++-------------------
 1 file changed, 65 insertions(+), 68 deletions(-)

commit fc25b8dbc432a78d4a4113a58cf200a59df16249
Author: Arnaud Bonatti <arnaud.bonatti@gmail.com>
Date:   Sat Dec 12 14:01:36 2015 +0100

    EphyTopicsPalette: Correct trailing spaces.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=759401

 src/bookmarks/ephy-topics-palette.c | 43 ++++++++++++++++++-------------------
 1 file changed, 21 insertions(+), 22 deletions(-)

commit e4ebb84e9b4467a8886898f96fd93cb0db261942
Author: Arnaud Bonatti <arnaud.bonatti@gmail.com>
Date:   Sat Dec 12 13:53:59 2015 +0100

    EphyTopicsPalette: Use g_object_class_install_properties.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=759401

 src/bookmarks/ephy-topics-palette.c | 54 +++++++++++++++++--------------------
 1 file changed, 25 insertions(+), 29 deletions(-)

commit 253de7cb4d57000b44370dfcea4033ae76ff5727
Author: Arnaud Bonatti <arnaud.bonatti@gmail.com>
Date:   Sat Dec 12 13:43:52 2015 +0100

    EphyHistoryWindow: Use g_object_class_install_properties.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=759401

 src/ephy-history-window.c | 22 +++++++++++++---------
 1 file changed, 13 insertions(+), 9 deletions(-)

commit 627cfa1025c36a4c7fe7737362bed506d3cb3c11
Author: Arnaud Bonatti <arnaud.bonatti@gmail.com>
Date:   Fri Dec 11 01:54:06 2015 +0100

    EphyCombinedStopReloadAction: Use g_object_class_install_properties.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=759401

 src/ephy-combined-stop-reload-action.c | 18 ++++++++++++------
 1 file changed, 12 insertions(+), 6 deletions(-)

commit 437270d19704032ef6bf69f25bafbbce9b592fc1
Author: Arnaud Bonatti <arnaud.bonatti@gmail.com>
Date:   Fri Dec 11 01:39:23 2015 +0100

    EphyNavigationHistoryAction: Use g_object_class_install_properties.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=759401

 src/ephy-navigation-history-action.c | 22 ++++++++++++++--------
 1 file changed, 14 insertions(+), 8 deletions(-)

commit 100849b924b6b624b13e9ac66d8ddfda69fe538a
Author: Arnaud Bonatti <arnaud.bonatti@gmail.com>
Date:   Fri Dec 11 01:34:08 2015 +0100

    EphySession: Use g_object_class_install_properties.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=759401

 src/ephy-session.c | 24 ++++++++++++++----------
 1 file changed, 14 insertions(+), 10 deletions(-)

commit 468d6b2fb900e136e625804c3b909138e42d88fb
Author: Arnaud Bonatti <arnaud.bonatti@gmail.com>
Date:   Fri Dec 11 01:26:44 2015 +0100

    EphyNotebook: Use g_object_class_install_properties.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=759401

 src/ephy-notebook.c | 20 +++++++++++++-------
 1 file changed, 13 insertions(+), 7 deletions(-)

commit 39e56d5fe169529dec8b35f15a090c7105771dd9
Author: Arnaud Bonatti <arnaud.bonatti@gmail.com>
Date:   Fri Dec 11 01:15:01 2015 +0100

    EphySQLiteStatement: Use g_object_class_install_properties.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=759401

 lib/ephy-sqlite-statement.c | 33 ++++++++++++++++++---------------
 1 file changed, 18 insertions(+), 15 deletions(-)
